<?php
/*
 * www.Saba.Network
 */


if (!defined("ABSPATH")) {
    exit;
}
require_once dirname(__FILE__) . "/api_settings.php";
require_once dirname(__FILE__) . "/custom_fields.php";
require_once dirname(__FILE__) . "/shortcodes.php";
require_once dirname(__FILE__) . "/users.php";
add_action("wp_ajax_digits_save_settings", "digits_save_settings");
function digits_save_settings()
{
    digits_update_data(false);
    wp_die();
}
function digits_update_data($gs)
{
    if (!current_user_can("manage_options")) {
        exit;
    }
    $digpc = "87s09871-0s6a-18nt-q0p3-978v67s09467";
    do_action("digits_save_settings_data");
    $data = ["digits_sameorigin_protection", "enable_guest_checkout_verification", "enable_billing_phone_verification"];
    foreach ($data as $key) {
        if (isset($_POST[$key])) {
            $posted_value = sanitize_text_field($_POST[$key]);
            update_option($key, $posted_value);
        }
    }
    if (isset($_POST["dig_login_rememberme"])) {
        $dig_login_rememberme = sanitize_text_field($_POST["dig_login_rememberme"]);
        update_option("dig_login_rememberme", $dig_login_rememberme);
    }
    if (isset($_POST["dig_custom_field_data"])) {
        $login_fields_array = [];
        foreach (digit_default_login_fields() as $login_field => $values) {
            $login_fields_array[$login_field] = sanitize_text_field($_POST[$login_field]);
        }
        update_option("dig_login_fields", $login_fields_array);
        $reg_default_fields_array = [];
        foreach (digit_get_reg_fields() as $reg_field => $values) {
            $reg_default_fields_array[$reg_field] = sanitize_text_field($_POST[$reg_field]);
        }
        update_option("dig_reg_fields", $reg_default_fields_array);
        if (isset($_POST["dig_reg_uname"])) {
            $dig_reg_uname = $_POST["dig_reg_uname"];
            if ($dig_reg_uname == 0) {
                update_option("woocommerce_registration_generate_username", "yes");
            } else {
                update_option("woocommerce_registration_generate_username", "no");
            }
        }
        if (isset($_POST["dig_reg_password"])) {
            $dig_reg_password = $_POST["dig_reg_password"];
            if ($dig_reg_password == 0) {
                update_option("woocommerce_registration_generate_password", "yes");
            } else {
                update_option("woocommerce_registration_generate_password", "no");
            }
        }
        $dig_reg_custom_field_data = $_POST["dig_reg_custom_field_data"];
        $dig_reg_custom_field_data_decode = json_decode(stripslashes($dig_reg_custom_field_data));
        foreach ($dig_reg_custom_field_data_decode as $reg_custom_field_datum) {
            $label = $reg_custom_field_datum->label;
            do_action("wpml_register_single_string", "digits", $label, $label);
            foreach ($reg_custom_field_datum->options as $option) {
                do_action("wpml_register_single_string", "digits", $option, $option);
            }
        }
        $field_data = base64_encode($dig_reg_custom_field_data);
        update_option("dig_reg_custom_field_data", $field_data);
        do_action("after_dig_update_data", $_POST);
    }
    if (isset($_POST["dig_sortorder"])) {
        $dig_sortorder = sanitize_text_field($_POST["dig_sortorder"]);
        if (!empty($dig_sortorder)) {
            $dig_sortorderArray = explode(",", sanitize_text_field($_POST["dig_sortorder"]));
            $dig_sortorderArraySan = [];
            foreach ($dig_sortorderArray as $sort) {
                $dig_sortorderArraySan[] = "dig_cs_" . cust_dig_filter_string(str_replace("dig_cs_", "", $sort));
            }
            $dig_sortorder = implode(",", $dig_sortorderArraySan);
        }
        update_option("dig_sortorder", $dig_sortorder);
    }
    $purchasecode = "87s09871-0s6a-18nt-q0p3-978v67s09467";
    $pcsave = true;
    update_site_option("dig_purchasecode", $purchasecode);
    delete_site_option("dig_purchasefail");
    delete_site_option("dig_unr");
    delete_site_option("dig_dsb");
    update_site_option("dig_license_type", 1);
    if ($gs == 1) {
        wp_redirect(esc_url_raw(admin_url("index.php?page=digits-setup&step=documentation")));
        exit;
    }
    if (isset($_POST["dig_save"])) {
        $digit_tapp = sanitize_text_field($_POST["digit_tapp"]);
        if (get_option("digit_tapp") !== false) {
            update_option("digit_tapp", $digit_tapp);
        } else {
            add_option("digit_tapp", $digit_tapp);
        }
        global $wpdb;
        $tb = $wpdb->prefix . "digits_mobile_otp";
        $tb2 = $wpdb->prefix . "digits_requests_log";
        $tb3 = $wpdb->prefix . "digits_blocked_ip";
        if ($wpdb->get_var("SHOW TABLES LIKE '" . $tb . "'") != $tb) {
            $charset_collate = $wpdb->get_charset_collate();
            $sql = "CREATE TABLE " . $tb . " (\n\t\t          countrycode MEDIUMINT(8) NOT NULL,\n\t\t          mobileno VARCHAR(20) NOT NULL,\n\t\t          otp VARCHAR(32) NOT NULL,\n\t\t          time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,\n\t\t          UNIQUE ID(mobileno)\n\t            ) " . $charset_collate . ";";
            $sql2 = "CREATE TABLE " . $tb2 . " (\n\t\t          ip VARCHAR(32) NOT NULL,\n\t\t          requests VARCHAR(32) NOT NULL,\n\t\t          time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,\n\t\t          UNIQUE ID(ip)\n\t            ) " . $charset_collate . ";";
            $sql3 = "CREATE TABLE " . $tb3 . " (\n\t\t          ip VARCHAR(32) NOT NULL,\n\t\t          block VARCHAR(32) NOT NULL,\n\t\t          time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,\n\t\t          UNIQUE ID(ip)\n\t            ) " . $charset_collate . ";";
            require_once ABSPATH . "wp-admin/includes/upgrade.php";
            dbDelta([$sql, $sql2, $sql3]);
        }
        if (isset($_POST["appid"]) && isset($_POST["appsecret"])) {
            $appid = sanitize_text_field($_POST["appid"]);
            $appsecret = sanitize_text_field($_POST["appsecret"]);
            $accountkit_type = sanitize_text_field($_POST["accountkit_type"]);
            $app = ["appid" => $appid, "appsecret" => $appsecret, "accountkit_type" => $accountkit_type];
            update_option("digit_api", $app);
            if (get_option("digit_api") !== false) {
                update_option("digit_api", $app);
            } else {
                add_option("digit_api", $app);
            }
        }
        if (isset($_POST["twiliosid"])) {
            $twiliosid = sanitize_text_field($_POST["twiliosid"]);
            $twiliotoken = sanitize_text_field($_POST["twiliotoken"]);
            $twiliosenderid = sanitize_text_field($_POST["twiliosenderid"]);
            $tiwilioapicred = ["twiliosid" => $twiliosid, "twiliotoken" => $twiliotoken, "twiliosenderid" => $twiliosenderid];
            if (get_option("digit_twilio_api") !== false) {
                update_option("digit_twilio_api", $tiwilioapicred);
            } else {
                add_option("digit_twilio_api", $tiwilioapicred);
            }
        }
        if (isset($_POST["msg91authkey"])) {
            $msg91authkey = sanitize_text_field($_POST["msg91authkey"]);
            $msg91senderid = sanitize_text_field($_POST["msg91senderid"]);
            $msg91route = sanitize_text_field($_POST["msg91route"]);
            $msg91dlt_te_id = sanitize_text_field($_POST["msg91dlt_te_id"]);
            $msg91apicred = ["msg91authkey" => $msg91authkey, "msg91senderid" => $msg91senderid, "msg91route" => $msg91route, "msg91dlt_te_id" => $msg91dlt_te_id];
            if (get_option("digit_msg91_api") !== false) {
                update_option("digit_msg91_api", $msg91apicred);
            } else {
                add_option("digit_msg91_api", $msg91apicred);
            }
        }
        if (isset($_POST["yunpianapikey"])) {
            $yunpianapikey = sanitize_text_field($_POST["yunpianapikey"]);
            update_option("digit_yunpianapi", $yunpianapikey);
        }
        digits_update_api_settings();
        if ($gs == 1) {
            wp_redirect(esc_url_raw(admin_url("index.php?page=digits-setup&step=shortcodes")));
            exit;
        }
    }
    if (isset($_POST["diglogintrans"])) {
        $diglogintrans = sanitize_text_field($_POST["diglogintrans"]);
        $digregistertrans = sanitize_text_field($_POST["digregistertrans"]);
        $digforgottrans = sanitize_text_field($_POST["digforgottrans"]);
        $digmyaccounttrans = sanitize_text_field($_POST["digmyaccounttrans"]);
        $diglogouttrans = sanitize_text_field($_POST["diglogouttrans"]);
        $digonlylogintrans = sanitize_text_field($_POST["digonlylogintrans"]);
        if (get_option("diglogintrans") !== false) {
            update_option("digonlylogintrans", $digonlylogintrans);
            update_option("diglogintrans", $diglogintrans);
            update_option("digregistertrans", $digregistertrans);
            update_option("digforgottrans", $digforgottrans);
            update_option("digmyaccounttrans", $digmyaccounttrans);
            update_option("diglogouttrans", $diglogouttrans);
        } else {
            add_option("digonlylogintrans", $digonlylogintrans);
            add_option("diglogintrans", $diglogintrans);
            add_option("digregistertrans", $digregistertrans);
            add_option("digforgottrans", $digforgottrans);
            add_option("digmyaccounttrans", $digmyaccounttrans);
            add_option("diglogouttrans", $diglogouttrans);
        }
    }
    if (isset($_POST["dig_otp_size"]) && isset($_POST["dig_messagetemplate"])) {
        $dig_otp_size = sanitize_text_field($_POST["dig_otp_size"]);
        $dig_messagetemplate = sanitize_text_field($_POST["dig_messagetemplate"]);
        $dig_whatsapp_messagetemplate = sanitize_text_field($_POST["dig_whatsapp_messagetemplate"]);
        if (3 < $dig_otp_size && $dig_otp_size < 11 && !empty($dig_messagetemplate)) {
            if (get_option("dig_otp_size") !== false) {
                update_option("dig_messagetemplate", $dig_messagetemplate);
                update_option("dig_whatsapp_messagetemplate", $dig_whatsapp_messagetemplate);
                update_option("dig_otp_size", $dig_otp_size);
            } else {
                add_option("dig_messagetemplate", $dig_messagetemplate);
                add_option("dig_whatsapp_messagetemplate", $dig_whatsapp_messagetemplate);
                add_option("dig_otp_size", $dig_otp_size);
            }
        }
    }
    if (isset($_POST["digit_custom_css"])) {
        $css = sanitize_textarea_field($_POST["digit_custom_css"]);
        update_option("digit_custom_css", $css);
    }
    if (isset($_POST["digpassaccep"]) && isset($_POST["digemailaccep"])) {
        $passaccep = sanitize_text_field($_POST["digpassaccep"]);
        $digemailaccep = sanitize_text_field($_POST["digemailaccep"]);
        if (get_option("digpassaccep") !== false) {
            update_option("digpassaccep", $passaccep);
        } else {
            add_option("digpassaccep", $passaccep);
        }
        if (get_option("digemailaccep") !== false) {
            update_option("digemailaccep", $digemailaccep);
        } else {
            add_option("digemailaccep", $digemailaccep);
        }
    }
    if (isset($_POST["dig_mobilein_uname"])) {
        $dig_mobilein_uname = sanitize_text_field($_POST["dig_mobilein_uname"]);
        update_option("dig_mobilein_uname", $dig_mobilein_uname);
    }
    if (isset($_POST["dig_wp_login_inte"])) {
        $dig_wp_login_inte = sanitize_text_field($_POST["dig_wp_login_inte"]);
        update_option("dig_wp_login_inte", $dig_wp_login_inte);
    }
    if (isset($_POST["dig_redirect_wc_to_dig"])) {
        $dig_redirect_wc_to_dig = sanitize_text_field($_POST["dig_redirect_wc_to_dig"]);
        update_option("dig_redirect_wc_to_dig", $dig_redirect_wc_to_dig);
    }
    if (isset($_POST["dig_mobile_no_formatting"])) {
        $dig_mobile_no_formatting = sanitize_text_field($_POST["dig_mobile_no_formatting"]);
        update_option("dig_mobile_no_formatting", $dig_mobile_no_formatting);
    }
    if (isset($_POST["dig_enable_forgotpass"])) {
        $digforgotpass = sanitize_text_field($_POST["dig_enable_forgotpass"]);
        $dig_overwrite_forgotpass_link = sanitize_text_field($_POST["dig_overwrite_forgotpass_link"]);
        if (get_option("digforgotpass") !== false) {
            update_option("digforgotpass", $digforgotpass);
            update_option("dig_overwrite_forgotpass_link", $dig_overwrite_forgotpass_link);
        } else {
            add_option("digforgotpass", $digforgotpass);
            add_option("dig_overwrite_forgotpass_link", $dig_overwrite_forgotpass_link);
        }
    }
    if (isset($_POST["dig_enable_registration"])) {
        $dig_enable_registration = sanitize_text_field($_POST["dig_enable_registration"]);
        $show_asterisk = sanitize_text_field($_POST["dig_show_asterisk"]);
        if (get_option("dig_enable_registration") !== false) {
            update_option("dig_enable_registration", $dig_enable_registration);
            update_option("dig_show_asterisk", $show_asterisk);
        } else {
            add_option("dig_enable_registration", $dig_enable_registration);
            add_option("dig_show_asterisk", $show_asterisk);
        }
    }
    if (isset($_POST["dig_mob_otp_resend_time"])) {
        $dig_mob_otp_resend_time = preg_replace("/[^0-9]/", "", $_POST["dig_mob_otp_resend_time"]);
        if (19 < $dig_mob_otp_resend_time) {
            if (get_option("dig_mob_otp_resend_time") !== false) {
                update_option("dig_mob_otp_resend_time", $dig_mob_otp_resend_time);
            } else {
                add_option("dig_mob_otp_resend_time", $dig_mob_otp_resend_time);
            }
        }
    }
    if (isset($_POST["dig_enable_strongpass"])) {
        $dig_use_strongpass = sanitize_text_field($_POST["dig_enable_strongpass"]);
        if (get_option("dig_use_strongpass") !== false) {
            update_option("dig_use_strongpass", $dig_use_strongpass);
        } else {
            add_option("dig_use_strongpass", $dig_use_strongpass);
        }
    }
    if (isset($_POST["login_reg_success_msg"])) {
        update_option("login_reg_success_msg", sanitize_text_field($_POST["login_reg_success_msg"]));
    }
    if (isset($_POST["enable_autofillcustomerdetails"])) {
        $enable_autofillcustomerdetails = $_POST["enable_autofillcustomerdetails"];
        update_option("dig_autofill_wc_billing", $enable_autofillcustomerdetails);
    }
    if (isset($_POST["dig_reqfieldbilling"])) {
        $dig_reqfieldbilling = sanitize_text_field($_POST["dig_reqfieldbilling"]);
        if (get_option("dig_reqfieldbilling") !== false) {
            update_option("dig_reqfieldbilling", $dig_reqfieldbilling);
        } else {
            add_option("dig_reqfieldbilling", $dig_reqfieldbilling);
        }
    }
    if (isset($_POST["enable_createcustomeronorder"]) && isset($_POST["defaultuserrole"])) {
        $enable_createcustomeronorder = sanitize_text_field($_POST["enable_createcustomeronorder"]);
        $defaultuserrole = sanitize_text_field($_POST["defaultuserrole"]);
        if (get_option("enable_createcustomeronorder") !== false) {
            update_option("enable_createcustomeronorder", $enable_createcustomeronorder);
            update_option("defaultuserrole", $defaultuserrole);
        } else {
            add_option("enable_createcustomeronorder", $enable_createcustomeronorder);
            add_option("defaultuserrole", $defaultuserrole);
        }
        if (get_option("defaultuserrole") !== false) {
            update_option("defaultuserrole", $defaultuserrole);
        } else {
            add_option("defaultuserrole", $defaultuserrole);
        }
        if (isset($_POST["default_ccode"])) {
            $default_ccode = sanitize_text_field($_POST["default_ccode"]);
            if (get_option("dig_default_ccode") !== false) {
                update_option("dig_default_ccode", $default_ccode);
            } else {
                add_option("dig_default_ccode", $default_ccode);
            }
        }
        $whitelistCountryCodes = [];
        if (isset($_POST["whitelistcountrycodes"])) {
            $whitelistCountryCodes = dig_sanitize($_POST["whitelistcountrycodes"]);
            if (0 < sizeof($whitelistCountryCodes)) {
                if (get_option("whitelistcountrycodes") !== false) {
                    update_option("whitelistcountrycodes", $whitelistCountryCodes);
                } else {
                    add_option("whitelistcountrycodes", $whitelistCountryCodes);
                }
            } else {
                delete_option("whitelistcountrycodes");
            }
        } else {
            delete_option("whitelistcountrycodes");
        }
        if (isset($_POST["dig_hide_countrycode"])) {
            $dig_hide_countrycode = sanitize_text_field($_POST["dig_hide_countrycode"]);
            if (sizeof($whitelistCountryCodes) != 1) {
                $dig_hide_countrycode = 0;
            }
            update_option("dig_hide_countrycode", $dig_hide_countrycode);
        }
        if (isset($_POST["blacklistcountrycodes"])) {
            $blacklistcountrycodes = dig_sanitize($_POST["blacklistcountrycodes"]);
            if (0 < sizeof($blacklistcountrycodes)) {
                if (get_option("dig_blacklistcountrycodes") !== false) {
                    update_option("dig_blacklistcountrycodes", $blacklistcountrycodes);
                } else {
                    add_option("dig_blacklistcountrycodes", $blacklistcountrycodes);
                }
            } else {
                delete_option("dig_blacklistcountrycodes");
            }
        } else {
            delete_option("dig_blacklistcountrycodes");
        }
        if ($gs == 1) {
            wp_redirect(esc_url_raw(admin_url("index.php?page=digits-setup&step=shortcodes")));
            exit;
        }
    }
    if (isset($_POST["lb_x"]) && isset($_POST["bg_color"])) {
        $bgcolor = sanitize_text_field($_POST["bg_color"]);
        $lbxbg_color = sanitize_text_field($_POST["lbxbg_color"]);
        $lb_x = preg_replace("/[^0-9]/", "", $_POST["lb_x"]);
        $lb_y = preg_replace("/[^0-9]/", "", $_POST["lb_y"]);
        $lb_blur = preg_replace("/[^0-9]/", "", $_POST["lb_blur"]);
        $lb_spread = preg_replace("/[^0-9]/", "", $_POST["lb_spread"]);
        $lb_radius = preg_replace("/[^0-9]/", "", $_POST["lb_radius"]);
        $lb_color = sanitize_text_field($_POST["lb_color"]);
        $fontcolor1 = sanitize_text_field($_POST["fontcolor1"]);
        $fontcolor2 = sanitize_text_field($_POST["fontcolor2"]);
        $backcolor = sanitize_text_field($_POST["backcolor"]);
        $left_color = sanitize_text_field($_POST["left_color"]);
        $type = preg_replace("/[^0-9]/", "", $_POST["dig_page_type"]);
        $input_bg_color = sanitize_text_field($_POST["input_bg_color"]);
        $input_border_color = sanitize_text_field($_POST["input_border_color"]);
        $input_text_color = sanitize_text_field($_POST["input_text_color"]);
        $button_bg_color = sanitize_text_field($_POST["button_bg_color"]);
        $signup_button_color = sanitize_text_field($_POST["signup_button_color"]);
        $signup_button_bg_color = sanitize_text_field($_POST["signup_button_border_color"]);
        $button_text_color = sanitize_text_field($_POST["button_text_color"]);
        $signup_button_text_color = sanitize_text_field($_POST["signup_button_text_color"]);
        $left_bg_size = sanitize_text_field($_POST["left_bg_size"]);
        $left_bg_position = sanitize_text_field($_POST["left_bg_position"]);
        $color = ["bgcolor" => $bgcolor, "loginboxcolor" => $lbxbg_color, "sx" => $lb_x, "sy" => $lb_y, "sblur" => $lb_blur, "sspread" => $lb_spread, "sradius" => $lb_radius, "scolor" => $lb_color, "fontcolor1" => $fontcolor1, "fontcolor2" => $fontcolor2, "backcolor" => $backcolor, "type" => $type, "left_color" => $left_color, "input_bg_color" => $input_bg_color, "input_border_color" => $input_border_color, "input_text_color" => $input_text_color, "button_bg_color" => $button_bg_color, "signup_button_color" => $signup_button_color, "signup_button_border_color" => $signup_button_bg_color, "button_text_color" => $button_text_color, "signup_button_text_color" => $signup_button_text_color, "left_bg_size" => $left_bg_size, "left_bg_position" => $left_bg_position];
        update_option("digit_color", $color);
        $bgcolor = sanitize_text_field($_POST["bg_color_modal"]);
        $lbxbg_color = sanitize_text_field($_POST["lbxbg_color_modal"]);
        $lb_x = preg_replace("/[^0-9]/", "", $_POST["lb_x_modal"]);
        $lb_y = preg_replace("/[^0-9]/", "", $_POST["lb_y_modal"]);
        $lb_blur = preg_replace("/[^0-9]/", "", $_POST["lb_blur_modal"]);
        $lb_spread = preg_replace("/[^0-9]/", "", $_POST["lb_spread_modal"]);
        $lb_radius = preg_replace("/[^0-9]/", "", $_POST["lb_radius_modal"]);
        $lb_color = sanitize_text_field($_POST["lb_color_modal"]);
        $fontcolor1 = sanitize_text_field($_POST["fontcolor1_modal"]);
        $fontcolor2 = sanitize_text_field($_POST["fontcolor2_modal"]);
        $type = preg_replace("/[^0-9]/", "", $_POST["dig_modal_type"]);
        $left_color = sanitize_text_field($_POST["left_color_modal"]);
        $button_text_color = sanitize_text_field($_POST["button_text_color_modal"]);
        $signup_button_text_color = sanitize_text_field($_POST["signup_button_text_color_modal"]);
        $input_bg_color = sanitize_text_field($_POST["input_bg_color_modal"]);
        $input_border_color = sanitize_text_field($_POST["input_border_color_modal"]);
        $input_text_color = sanitize_text_field($_POST["input_text_color_modal"]);
        $button_bg_color = sanitize_text_field($_POST["button_bg_color_modal"]);
        $signup_button_color = sanitize_text_field($_POST["signup_button_color_modal"]);
        $signup_button_border_color = sanitize_text_field($_POST["signup_button_border_color_modal"]);
        $left_bg_size = sanitize_text_field($_POST["left_bg_size_modal"]);
        $left_bg_position = sanitize_text_field($_POST["left_bg_position_modal"]);
        $color = ["bgcolor" => $bgcolor, "loginboxcolor" => $lbxbg_color, "sx" => $lb_x, "sy" => $lb_y, "sblur" => $lb_blur, "sspread" => $lb_spread, "sradius" => $lb_radius, "scolor" => $lb_color, "fontcolor1" => $fontcolor1, "fontcolor2" => $fontcolor2, "type" => $type, "left_color" => $left_color, "input_bg_color" => $input_bg_color, "input_border_color" => $input_border_color, "input_text_color" => $input_text_color, "button_bg_color" => $button_bg_color, "signup_button_color" => $signup_button_color, "signup_button_border_color" => $signup_button_border_color, "button_text_color" => $button_text_color, "signup_button_text_color" => $signup_button_text_color, "left_bg_size" => $left_bg_size, "left_bg_position" => $left_bg_position];
        update_option("digit_color_modal", $color);
        if (isset($_POST["image_attachment_id"])) {
            update_option("digits_logo_image", sanitize_text_field($_POST["image_attachment_id"]));
        }
        if (isset($_POST["bg_image_attachment_id_modal"])) {
            update_option("digits_bg_image_modal", sanitize_text_field($_POST["bg_image_attachment_id_modal"]));
        }
        if (isset($_POST["bg_image_attachment_id"])) {
            update_option("digits_bg_image", sanitize_text_field($_POST["bg_image_attachment_id"]));
        }
        if (isset($_POST["bg_image_attachment_id_left"])) {
            update_option("digits_left_bg_image", sanitize_text_field($_POST["bg_image_attachment_id_left"]));
        }
        if (isset($_POST["bg_image_attachment_id_left_modal"])) {
            update_option("digits_left_bg_image_modal", sanitize_text_field($_POST["bg_image_attachment_id_left_modal"]));
        }
        if (isset($_POST["dig_preset"])) {
            update_option("dig_preset", absint($_POST["dig_preset"]));
        }
        if (isset($_POST["login_page_footer"])) {
            $login_page_footer = base64_encode(str_replace("\n", "<br />", $_POST["login_page_footer"]));
            update_option("login_page_footer", $login_page_footer);
            update_option("login_page_footer_text_color", sanitize_text_field($_POST["login_page_footer_text_color"]));
        }
        if ($gs == 1) {
            wp_redirect(esc_url_raw(admin_url("index.php?page=digits-setup&step=shortcodes")));
            exit;
        }
    }
    if (isset($_POST["digits_loginred"])) {
        $digits_loginred = sanitize_text_field($_POST["digits_loginred"]);
        $digits_regred = sanitize_text_field($_POST["digits_regred"]);
        $digits_forgotred = sanitize_text_field($_POST["digits_forgotred"]);
        $digits_logoutred = sanitize_text_field($_POST["digits_logoutred"]);
        update_option("digits_myaccount_redirect", sanitize_text_field($_POST["digits_myaccount_redirect"]));
        update_option("digits_loginred", $digits_loginred);
        update_option("digits_regred", $digits_regred);
        update_option("digits_forgotred", $digits_forgotred);
        update_option("digits_logoutred", $digits_logoutred);
    }
}
function digit_addons($active_tab)
{
    $data = ["purchased" => ["direstapi" => ["name" => "REST API", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2019/08/add8-rest-api.png", "desc" => "This Digits addon allows you to use REST API calls for its functions", "location" => "https://digits.unitedover.com/addon/rest-api/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$19.00", "plugin" => "digrestapi/digrestapi.php", "path" => "digrestapi/digrestapi.php", "allow_direct_install" => 0, "multi_site" => 0], "digcountrygateways" => ["name" => "Country Based SMS Gateway", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2019/08/add6-country-based-gateway.png", "desc" => "Setup different SMS gateways for different countries to minimize cost and increase reachability with ease.", "location" => "https://digits.unitedover.com/addon/country-based-message-gateway/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$14.00", "plugin" => "digcountrygateways/digcountrygateways.php", "path" => "digcountrygateways/digcountrygateways.php", "allow_direct_install" => 0, "multi_site" => 0], "digadvlogic" => ["name" => "Additional Fields & Logic Builder", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2018/12/add3-advance-fields-and-logic-form-1.png", "desc" => "Enhance the capabilities of your form by additional and advanced fields, or build a logic to hide/show some field when that particular logic is met.", "location" => "https://digits.unitedover.com/addon/additional-fields-logical-form/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$14.00", "plugin" => "digadvlogic/digadvlogic.php", "path" => "digadvlogic/digadvlogic.php", "allow_direct_install" => 0, "multi_site" => 0], "digfilter" => ["name" => "Email Filter", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2019/08/add5-email-filter.png", "desc" => "Want to stop emails from some specific domain or stop spam? With this filter out the domains you don't want or whitelist some.", "location" => "https://digits.unitedover.com/addon/email-filter/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$9.00", "plugin" => "digfilter/digfilter.php", "path" => "digfilter/digfilter.php", "allow_direct_install" => 0, "multi_site" => 0], "digoneclickls" => ["name" => "One Click Login/Signup", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2019/08/add4-one-click-login-signup.png", "desc" => "Have just one form for both login and signup process using mobile number.", "location" => "https://digits.unitedover.com/addon/one-click-login-signup/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$9.00", "plugin" => "digoneclickls/digoneclickls.php", "path" => "digoneclickls/digoneclickls.php", "allow_direct_install" => 0, "multi_site" => 0], "digmergphne" => ["name" => "Merge Phone Number", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2019/08/add2-merge-billing-and-account-mobile-field.png", "desc" => "Merge your billing phone and account phone from checkout page and every other place.", "location" => "https://digits.unitedover.com/addon/merge-phone-number/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$9.00", "plugin" => "digmergphne/digmergphne.php", "path" => "digmergphne/digmergphne.php", "allow_direct_install" => 0, "multi_site" => 0], "digapprove" => ["name" => "User Account Approval", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2020/03/add11-account-approval-1.png", "desc" => "Merge your billing phone and account phone from checkout page and every other place.", "location" => "https://digits.unitedover.com/addon/account-approval/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$9.00", "plugin" => "digapprove/digapprove.php", "path" => "digapprove/digapprove.php", "allow_direct_install" => 0, "multi_site" => 0], "additional-gateways" => ["name" => "Additional Gateways", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2020/01/add10-additional-gateways.png", "desc" => "Addon contains 105+ additional SMS Gateways", "location" => "https://digits.unitedover.com/addon/account-approval/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$9.00", "plugin" => "additional-gateways/additional-gateways.php", "path" => "additional-gateways/additional-gateways.php", "allow_direct_install" => 0, "multi_site" => 0], "digbuilder" => ["name" => "Login-Signup Page/Popup Builder", "thumbnail" => "https://digits.unitedover.com/wp-content/uploads/2020/01/add9-builder.png", "desc" => "This Digits addon allows you to create custom Login/Signup Page/Modal", "location" => "https://digits.unitedover.com/addon/builder/?utm_source=digits-wp-settings&utm_medium=addon-page", "price" => "\$9.00", "plugin" => "digbuilder/digbuilder.php", "path" => "digbuilder/digbuilder.php", "allow_direct_install" => 0, "multi_site" => 0]]];
    echo "    <div class=\"digits-addons-container\">\n        ";
    $purchased_addons = $data["purchased"];
    if (!empty($purchased_addons)) {
        echo "<div class=\"digits-addons-purchased\">";
        echo "<div class=\"dig_addons_title\">" . __("Available Addons", "digits") . "</div>";
        $plugin_updates = get_plugin_updates();
        foreach ($purchased_addons as $key => $plugin) {
            echo "\n\n                <div class=\"dig-addon-item dig-addon-item_purchased\" data-plugin=\"";
            echo $plugin["plugin"];
            echo "\">\n\n\n                    <div class=\"dig-addon-par\">\n\n                        <table>\n                            <tr>\n                                <td class=\"dig_addon_img_act_img\">\n                                    <div class=\"dig_addon_img\">\n                                        <img src=\"";
            echo $plugin["thumbnail"];
            echo "\" draggable=\"false\"/>\n                                    </div>\n                                </td>\n                                <td>\n                                    <div class=\"dig_addon_details\">\n                                        <div class=\"dig_addon_name\">";
            echo $plugin["name"];
            echo "</div>\n                                    </div>\n                                </td>\n                                <td class=\"dig_addon_int_btn\">\n                                    <input type=\"hidden\" class=\"dig_addon_nounce\"\n                                           value=\"";
            echo wp_create_nonce("dig_addon" . $plugin["plugin"]);
            echo "\">\n                                    <input type=\"hidden\" class=\"dig_plugin_slug\"\n                                           value=\"";
            $basename = explode("/", $plugin["plugin"]);
            echo $basename[0];
            echo "\">\n                                        <div class=\"digmodifyaddon icon-group icon-group-dims\" type=\"-1\"></div>\n                                        \n                                            <div class=\"dig_ngmc updatetabview icon-setting icon-setting-dims ";
            echo $active_tab == $addon_settings ? "dig-nav-tab-active" : "";
            echo "\"\n                                            tab=\"";
            echo $basename[0];
            echo "tab\"></div>\n                                            \n                                        ";
            if (isset($plugin_updates[$plugin["plugin"]])) {
                echo "<div class=\"digmodifyaddon icon-update icon-update-dims\" type=\"10\"></div>";
            }
            echo "                            \n                                </td>\n                            </tr>\n                        </table>\n\n\n                    </div>\n                </div>\n\n\n                ";
        }
        echo "</div>";
    }
    $new_addons = $data["rem"];
    if (!empty($new_addons)) {
        echo "<div class=\"digits-addons-new\"><div class=\"dig_addons_title\">" . __("New Addons", "digits") . "</div>";
        foreach ($new_addons as $plugin) {
            echo "\n\n                <a href=\"";
            echo $plugin["location"];
            echo "\" target=\"_blank\">\n\n                    <div class=\"dig-addon-item\" data-plugin=\"";
            echo $plugin["plugin"];
            echo "\">\n                        <div class=\"dig-addon-par\">\n                            <div class=\"dig_addon_img\">\n                                <img src=\"";
            echo $plugin["thumbnail"];
            echo "\" draggable=\"false\"/>\n\n                                ";
            if (isset($plugin["allow_direct_install"]) && $plugin["allow_direct_install"] == 1) {
                echo "<a href=\"#\" class=\"digits-addons-allow_direct_install digmodifyaddon\">";
            }
            echo "                                <input type=\"hidden\" class=\"dig_addon_nounce\"\n                                       value=\"";
            echo wp_create_nonce("dig_addon" . $plugin["plugin"]);
            echo "\">\n                                <input type=\"hidden\" class=\"dig_plugin_slug\"\n                                       value=\"";
            $basename = explode("/", $plugin["plugin"]);
            echo $basename[0];
            echo "\">\n\n                                <div class=\"dig_addon_btn_con\">\n                                    <div class=\"dig_addon_btn\">\n                                        ";
            echo $plugin["price"];
            echo "                                    </div>\n                                </div>\n                                ";
            if (isset($plugin["allow_direct_install"]) && $plugin["allow_direct_install"] == 1) {
                echo "</a>";
            }
            echo "                            </div>\n                            <div class=\"dig_addon_details\">\n                                <div class=\"dig_addon_name\">";
            echo $plugin["name"];
            echo "</div>\n                                <div class=\"dig_addon_sep\"></div>\n                                <div class=\"dig_addon_btm_pnl\">\n\n                                    <div class=\"dig_addon_dsc\">\n                                        ";
            echo $plugin["desc"];
            echo "                                    </div>\n\n                                </div>\n\n                            </div>\n                        </div>\n                    </div>\n                </a>\n\n\n                ";
        }
        echo "</div>";
    }
    echo "    </div>\n    ";
}
function digit_activation($form = true)
{
    if ($form) {
        echo "<form class=\"dig_activation_form\" method=\"post\">        <h1>";
        _e("Activate Digits", "digits");
        echo "</h1>\n\n\n        ";
    }
    $code = "87s09871-0s6a-18nt-q0p3-978v67s09467";
    $license_type = 1;
    $plugin_version = digits_version();
    $list = apply_filters("digits_addon", []);
    echo "\n    <input type=\"hidden\" name=\"dig_addons_list\" value=\"";
    echo implode(",", $list);
    echo "\"/>\n\n\n    <input type=\"hidden\" name=\"dig_license_type\" value=\"";
    echo dig_get_option("dig_license_type", 1);
    echo "\"/>\n\n    <input type=\"hidden\" name=\"dig_domain\" value=\"";
    echo dig_network_home_url();
    echo "\"/>\n\n    <input type=\"hidden\" name=\"dig_version\" value=\"";
    echo $plugin_version;
    echo "\"/>\n\n    <table class=\"form-table\">\n        <tr class=\"dig_domain_type\" ";
    if (!empty($code)) {
        echo "style=\"display:none;\"";
    }
    echo ">\n            <th scope=\"row\"><label for=\"dig_purchasecode\">";
    _e("Is this domain your", "digits");
    echo " </label></th>\n            <td>\n                <button class=\"button\" type=\"button\" val=\"1\">";
    _e("Live Server", "digits");
    echo "</button>\n                <button class=\"button\" type=\"button\" val=\"2\">";
    _e("Testing Server", "digits");
    echo "</button>\n            </td>\n        </tr>\n        <tr class=\"dig_prchcde\" ";
    if (!empty($code)) {
        echo "style=\"display:table-row;\"";
    }
    echo ">\n            <th scope=\"row\"><label for=\"dig_purchasecode\">";
    _e("Purchase code", "digits");
    echo " </label></th>\n            <td>\n                <div class=\"digits_shortcode_tbs digits_shortcode_stb\">\n                    <input class=\"dig_inp_wid31\" nocop=\"1\" type=\"text\" name=\"dig_purchasecode\"\n                           id=\"dig_purchasecode\"\n                           placeholder=\"";
    _e("Purchase Code", "digits");
    echo "\" autocomplete=\"off\"\n                           value=\"";
    echo $code;
    echo "\" readonly>\n                    <button class=\"button dig_btn_unregister\"\n                            type=\"button\">";
    _e("DEREGISTER", "digits");
    echo "</button>\n                    <img class=\"dig_prc_ver\"\n                         src=\"";
    echo get_digits_asset_uri("/admin/assets/images/check_animated.svg");
    echo "\"\n                         draggable=\"false\" ";
    if (!empty($code)) {
        echo "style=\"display:block;\"";
    }
    echo ">\n                    <img class=\"dig_prc_nover\"\n                         src=\"";
    echo get_digits_asset_uri("/admin/assets/images/cross_animated.svg");
    echo "\"\n                         draggable=\"false\">\n                </div>\n            </td>\n        </tr>\n    </table>\n\n    <div class=\"dig_desc_sep_pc dig_prchcde\" ";
    if (!empty($code)) {
        echo "style=\"display:block;\"";
    }
    echo "></div>\n    <p class=\"dig_ecr_desc dig_cntr_algn_clr dig_prchcde\" ";
    if (!empty($code)) {
        echo "style=\"display:block;\"";
    }
    echo ">\n        ";
    _e("Please activate your plugin to receive updates", "digits");
    echo "    </p>\n\n\n    <table class=\"form-table dig_prchcde\" ";
    if (!empty($code)) {
        echo "style=\"display:table-row;\"";
    }
    echo ">\n        <tr>\n            <td>\n                <p class=\"dig_ecr_desc dig_cntr_algn dig_sme_lft_algn request_live_server_addition\" ";
    if ($license_type == 1) {
        echo "style=\"display:none;\"";
    }
    echo ">\n                    ";
    _e("If you want to use same purchase code on your live server then please click the below button to request for it. Our team will take less than 12 hours to respond to your request, and will notify via email.", "digits");
    echo "                </p>\n                <p class=\"dig_ecr_desc dig_cntr_algn dig_sme_lft_algn request_testing_server_addition\" ";
    if ($license_type == 2) {
        echo "style=\"display:none;\"";
    }
    echo ">\n                    ";
    _e("If you want to use same purchase code on your testing server then please click the below button to request for it. Our team will take less than 12 hours to respond to your request, and will notify via email.", "digits");
    echo "                </p>\n                <button href=\"https://help.unitedover.com/request-additional-site/\"\n                        class=\"button dig_request_server_addition request_live_server_addition\"\n                        type=\"button\" ";
    if ($license_type == 1) {
        echo "style=\"display:none;\"";
    }
    echo ">";
    _e("Request Live Server Addition", "digits");
    echo "</button>\n                <button href=\"https://help.unitedover.com/request-additional-site/\"\n                        class=\"button dig_request_server_addition request_testing_server_addition\"\n                        type=\"button\" ";
    if ($license_type == 2) {
        echo "style=\"display:none;\"";
    }
    echo ">";
    _e("Request Testing Server Addition", "digits");
    echo "</button>\n            </td>\n        </tr>\n    </table>\n    ";
    if (!$form) {
        return NULL;
    }
    echo "\n\n    <br/>\n\n    <p class=\"digits-setup-action step\">\n        <Button type=\"submit\" href=\"";
    echo admin_url("index.php?page=digits-setup&step=documentation");
    echo "\"\n                class=\"button-primary button button-large button-next regular-text\"\n        >";
    _e("Activate", "digits");
    echo "</Button>\n        <a href=\"";
    echo admin_url("index.php?page=digits-setup&step=documentation");
    echo "\"\n           class=\"button\">";
    _e("Skip", "digits");
    echo "</a>\n    </p>\n    </form>\n\n    ";
}
function digit_customize($isWiz = true)
{
    $color = get_option("digit_color");
    $bgcolor = "#4cc2fc";
    $fontcolor = 0;
    $loginboxcolor = "rgba(255,255,255,1)";
    $sx = 0;
    $sy = 2;
    $sspread = 0;
    $sblur = 4;
    $scolor = "rgba(0, 0, 0, 0.5)";
    $fontcolor2 = "rgba(255,255,255,1)";
    $fontcolor1 = "rgba(20,20,20,1)";
    $sradius = 4;
    $color_modal = get_option("digit_color_modal");
    $input_bg_color = "rgba(0,0,0,0)";
    $input_border_color = "rgba(0,0,0,0)";
    $input_text_color = "rgba(0,0,0,0)";
    $button_bg_color = "rgba(0,0,0,0)";
    $signup_button_color = "rgba(0,0,0,0)";
    $signup_button_border_color = "rgba(0,0,0,0)";
    $button_text_color = "rgba(0,0,0,0)";
    $signup_button_text_color = "rgba(0,0,0,0)";
    $backcolor = "rgba(0,0,0,1)";
    $page_type = 1;
    $modal_type = 1;
    $leftcolor = "rgba(255,255,255,1)";
    $left_bg_position = "Center Center";
    $left_bg_size = "auto";
    if ($color !== false) {
        $bgcolor = $color["bgcolor"];
        if (isset($color["fontcolor"])) {
            $fontcolor = $color["fontcolor"];
            if ($fontcolor == 1) {
                $fontcolor1 = "rgba(20,20,20,1)";
                $fontcolor2 = "rgba(255,255,255,1)";
            }
        }
        if (isset($color["sx"])) {
            $sx = $color["sx"];
            $sy = $color["sy"];
            $sspread = $color["sspread"];
            $sblur = $color["sblur"];
            $scolor = $color["scolor"];
            $fontcolor1 = $color["fontcolor1"];
            $fontcolor2 = $color["fontcolor2"];
            $loginboxcolor = $color["loginboxcolor"];
            $sradius = $color["sradius"];
            $backcolor = $color["backcolor"];
        }
        if (isset($color["type"])) {
            $page_type = $color["type"];
            if ($page_type == 2) {
                $leftcolor = $color["left_color"];
            }
            $modal_type = $color_modal["type"];
            $input_bg_color = $color["input_bg_color"];
            $input_border_color = $color["input_border_color"];
            $input_text_color = $color["input_text_color"];
            $button_bg_color = $color["button_bg_color"];
            $signup_button_color = $color["signup_button_color"];
            $signup_button_border_color = $color["signup_button_border_color"];
            $button_text_color = $color["button_text_color"];
            $signup_button_text_color = $color["signup_button_text_color"];
            $left_bg_position = $color["left_bg_position"];
            $left_bg_size = $color["left_bg_size"];
        }
    }
    if ($isWiz) {
        echo "<form method=\"post\" enctype=\"multipart/form-data\">";
    }
    $positions_bg = ["Left Top", "Left Center", "Left Bottom", "Center Top", "Center Center", "Center Bottom", "Right Top", "Right Center", "Right Bottom"];
    $size_bg = ["auto", "cover", "contain"];
    $preset = get_option("dig_preset", 1);
    echo "\n    <div class=\"dig_admin_head\"><span>";
    _e("Preset Design", "digits");
    echo "</span></div>\n\n    <div class=\"dig_presets_modal\" id=\"dig_presets_box\">\n        <div id=\"dig_presets_modal_box\">\n            <div id=\"dig_presets_modal_head\">\n                <div id=\"dig_presets_modal_head_title\">";
    _e("PRESET LIBRARY", "digits");
    echo "</div>\n                <div id=\"dig_presets_modal_head_close\"\n                     class=\"dig_presets_modal_head_close\">";
    _e("CLOSE", "digits");
    echo "</div>\n            </div>\n\n            ";
    $presets_array = [["name" => __("CUSTOM", "digits")], ["name" => "CLAVIUS"], ["name" => "APOLLO"], ["name" => "ARISTARCHUS"], ["name" => "SHACKLETON"], ["name" => "ALPHONSUS"], ["name" => "THEOPHILUS"]];
    echo "            <input type=\"radio\" id=\"dig_preset_custom\" class=\"dig_preset\" name=\"dig_preset\" style=\"display: none;\"\n                   value=\"0\" data-lab=\"";
    _e("CUSTOM", "digits");
    echo "\" ";
    if ($preset == 0) {
        echo "checked";
    }
    echo " />\n\n\n            <div id=\"dig_presets_modal_body\">\n                <div id=\"dig_presets_list\">\n\n                    ";
    foreach ($presets_array as $key => $preset_v) {
        if ($key != 0) {
            echo "                        <div class=\"dig_preset_item\">\n                            <label for=\"preset";
            echo $key;
            echo "\">\n                                <div class=\"dig_preset_item_list\">\n                                    <input class=\"dig_preset\" name=\"dig_preset\" id=\"preset";
            echo $key;
            echo "\"\n                                           value=\"";
            echo $key;
            echo "\" type=\"radio\" ";
            if ($key == $preset) {
                echo "checked";
            }
            echo ">\n                                    <div class=\"dig_preset_sel\">\n                                        <div class=\"dig_tick_center\">\n                                            <img class=\"dig_preset_sel_tick\"\n                                                 src=\"";
            echo get_digits_asset_uri("/admin/assets/images/preset-tick.svg");
            echo "\"\n                                                 draggable=\"false\"/>\n                                        </div>\n                                    </div>\n                                    <div class=\"dig_preset_img_smp\">\n                                        <img src=\"";
            echo get_digits_asset_uri("/admin/assets/images/preset" . $key . ".jpg");
            echo "\"\n                                             draggable=\"false\"/>\n\n                                        <a class=\"dig_preset_big_img\"\n                                           href=\"";
            echo get_digits_asset_uri("/admin/assets/images/preset" . $key . ".jpg");
            echo "\">\n                                        </a>\n                                    </div>\n                                    <div class=\"dig_preset_name\">";
            echo $preset_v["name"];
            echo "</div>\n                                </div>\n                            </label>\n                        </div>\n                        ";
        }
    }
    echo "\n                </div>\n            </div>\n        </div>\n    </div>\n\n    <table class=\"form-table\">\n        <tr>\n            <th scope=\"row\"><label for=\"dig_preset\">";
    _e("Preset", "digits");
    echo " </label></th>\n            <td class=\"dig_prst_btns\">\n                <input class=\"dig_prst_name\" type=\"text\" readonly\n                       value=\"";
    if (array_key_exists($preset, $presets_array)) {
        echo $presets_array[$preset]["name"];
    }
    echo "\">\n                <Button id=\"dig_open_preset_box\" type=\"button\"\n                        class=\"button\">";
    _e("Select Preset", "digits");
    echo "</Button>\n\n                <input type=\"hidden\"\n                       value='{\"dig_modal_type\" : \"1\", \"dig_page_type\":\"1\",\"bg_image_attachment_id_modal\":\"\",\"bg_image_attachment_id\" :\"\",\"backcolor\": \"#fff\",\"bg_color\": \"#2ac5fc\",\"lbxbg_color\": \"#fff\",\"lb_x\": \"0\",\"lb_y\": \"2\",\"lb_blur\": \"4\",\"lb_spread\": \"0\",\"lb_radius\": \"4\",\"lb_color\": \"rgba(0, 0, 0, 0.5)\",\"fontcolor2\": \"rgba(255,255,255,1)\",\"fontcolor1\": \"rgba(20,20,20,1)\",\"bg_color_modal\": \"rgba(6, 6, 6, 0.8)\",\"lbxbg_color_modal\": \"#fff\",\"lb_x_modal\": \"0\",\"lb_y_modal\": \"0\",\"lb_blur_modal\": \"20\",\"lb_spread_modal\": \"0\",\"lb_radius_modal\": \"0\",\"lb_color_modal\": \"rgba(0, 0, 0, 0.3)\",\"fontcolor1_modal\": \"rgba(20,20,20,1)\",\"fontcolor2_modal\": \"rgba(255,255,255,1)\"}'\n                       id=\"dig_preset1\"/>\n                <input type=\"hidden\"\n                       value='{\"dig_modal_type\" : \"1\", \"dig_page_type\":\"1\",\"bg_image_attachment_id_modal\":\"\",\"bg_image_attachment_id\" :\"\",\"backcolor\": \"#fff\",\"bg_color\": \"#050210\",\"lbxbg_color\": \"rgba(0,0,0,0)\",\"lb_x\": \"0\",\"lb_y\": \"0\",\"lb_blur\": \"0\",\"lb_spread\": \"0\",\"lb_radius\": \"0\",\"lb_color\": \"rgba(0, 0, 0, 0)\",\"fontcolor2\": \"rgba(20,20,20,1)\",\"fontcolor1\": \"rgba(255,255,255,1)\",\"bg_color_modal\": \"rgba(6, 6, 6, 0.8)\",\"lbxbg_color_modal\": \"#050210\",\"lb_x_modal\": \"0\",\"lb_y_modal\": \"0\",\"lb_blur_modal\": \"20\",\"lb_spread_modal\": \"0\",\"lb_radius_modal\": \"0\",\"lb_color_modal\": \"rgba(0, 0, 0, 0.3)\",\"fontcolor1_modal\": \"rgba(255,255,255,1)\",\"fontcolor2_modal\": \"rgba(20,20,20,1)\"}'\n                       id=\"dig_preset2\"/>\n                <input type=\"hidden\"\n                       value='{\"dig_modal_type\" : \"1\", \"dig_page_type\":\"1\",\"bg_image_attachment_id_modal\":\"\",\"bg_image_attachment_id\":\"";
    echo get_digits_asset_uri("/assets/images/bg.jpg");
    echo "\", \"backcolor\": \"#fff\",\"bg_color\": \"rgba(0,0,0,0)\",\"lbxbg_color\": \"rgba(17,17,17,0.87)\",\"lb_x\": \"0\",\"lb_y\": \"2\",\"lb_blur\": \"4\",\"lb_spread\": \"0\",\"lb_radius\": \"4\",\"lb_color\": \"rgba(0, 0, 0, 0.5)\",\"fontcolor2\": \"rgba(51,51,51,1)\",\"fontcolor1\": \"rgba(255,255,255,1)\",\"bg_color_modal\": \"rgba(6, 6, 6, 0.8)\",\"lbxbg_color_modal\": \"#111\",\"lb_x_modal\": \"0\",\"lb_y_modal\": \"0\",\"lb_blur_modal\": \"20\",\"lb_spread_modal\": \"0\",\"lb_radius_modal\": \"4\",\"lb_color_modal\": \"rgba(0, 0, 0, 0.3)\",\"fontcolor1_modal\": \"rgba(255,255,255,1)\",\"fontcolor2_modal\": \"rgba(51,51,51,1)\"}'\n                       id=\"dig_preset3\"/>\n                <input type=\"hidden\"\n                       value='{\"dig_modal_type\" : \"1\", \"dig_page_type\":\"1\",\"bg_image_attachment_id_modal\":\"\",\"bg_image_attachment_id\" :\"\",\"backcolor\": \"#fff\",\"bg_color\": \"#0d0d0d\",\"lbxbg_color\": \"#fff\",\"lb_x\": \"0\",\"lb_y\": \"2\",\"lb_blur\": \"4\",\"lb_spread\": \"0\",\"lb_radius\": \"0\",\"lb_color\": \"rgba(0, 0, 0, 0.5)\",\"fontcolor2\": \"rgba(255,255,255,1)\",\"fontcolor1\": \"rgba(20,20,20,1)\",\"bg_color_modal\": \"rgba(6, 6, 6, 0.8)\",\"lbxbg_color_modal\": \"#fff\",\"lb_x_modal\": \"0\",\"lb_y_modal\": \"0\",\"lb_blur_modal\": \"20\",\"lb_spread_modal\": \"0\",\"lb_radius_modal\": \"0\",\"lb_color_modal\": \"rgba(0, 0, 0, 0.3)\",\"fontcolor1_modal\": \"rgba(20,20,20,1)\",\"fontcolor2_modal\": \"rgba(255,255,255,1)\"}'\n                       id=\"dig_preset4\"/>\n\n                <input type=\"hidden\"\n                       value='{\"dig_modal_type\" : \"1\", \"dig_page_type\":\"1\",\"bg_image_attachment_id_modal\":\"\",\"bg_image_attachment_id\" :\"\",\"backcolor\": \"#0d0d0d\",\"bg_color\": \"#fff\",\"lbxbg_color\": \"#fff\",\"lb_x\": \"0\",\"lb_y\": \"2\",\"lb_blur\": \"4\",\"lb_spread\": \"0\",\"lb_radius\": \"0\",\"lb_color\": \"rgba(0, 0, 0, 0.5)\",\"fontcolor2\": \"rgba(255,255,255,1)\",\"fontcolor1\": \"rgba(20,20,20,1)\",\"bg_color_modal\": \"rgba(6, 6, 6, 0.8)\",\"lbxbg_color_modal\": \"#fff\",\"lb_x_modal\": \"0\",\"lb_y_modal\": \"0\",\"lb_blur_modal\": \"20\",\"lb_spread_modal\": \"0\",\"lb_radius_modal\": \"0\",\"lb_color_modal\": \"rgba(0, 0, 0, 0.3)\",\"fontcolor1_modal\": \"rgba(20,20,20,1)\",\"fontcolor2_modal\": \"rgba(255,255,255,1)\"}'\n                       id=\"dig_preset5\"/>\n\n                <input type=\"hidden\"\n                       value='{\"dig_modal_type\" : \"2\", \"dig_page_type\":\"2\",\"bg_image_attachment_id_modal\":\"\",\"bg_image_attachment_id\" :\"\",\"bg_image_attachment_id_left\":\"";
    echo get_digits_asset_uri("/assets/images/cart.png");
    echo "\",\"bg_image_attachment_id_left_modal\":\"";
    echo get_digits_asset_uri("/assets/images/cart.png");
    echo "\", \"backcolor\": \"rgba(0, 0, 0, 0.75)\",\"bg_color\": \"rgba(237, 230, 234, 1)\",\"lbxbg_color\": \"rgba(255, 255, 255, 1)\",\"fontcolor1\": \"rgba(109, 109, 109, 1)\",\"lb_x\": \"0\",\"lb_y\": \"3\",\"lb_blur\": \"6\",\"lb_spread\": \"0\",\"lb_radius\": \"4\",\"lb_color\": \"rgba(0, 0, 0, 0.16)\",\"bg_color_modal\": \"rgba(6, 6, 6, 0.8)\",\"lbxbg_color_modal\": \"rgba(250, 250, 250, 1)\",\"lb_x_modal\": \"0\",\"lb_y_modal\": \"0\",\"lb_blur_modal\": \"20\",\"lb_spread_modal\": \"0\",\"lb_radius_modal\": \"4\",\"lb_color_modal\": \"rgba(0, 0, 0, 0.3)\",\"fontcolor1_modal\": \"rgba(109, 109, 109, 1)\",\"fontcolor2_modal\": \"rgba(51,51,51,1)\",\"left_color\":\"rgba(165, 62, 96, 1)\",\"left_color_modal\":\"rgba(165, 62, 96, 1)\",\"input_bg_color\":\"rgba(255, 255, 255, 1)\",\"input_border_color\":\"rgba(153, 153, 153, 1)\",\"input_text_color\":\"rgba(0, 0, 0, 1)\",\"button_bg_color\":\"rgba(255, 188, 0, 1)\",\"signup_button_color\":\"rgba(242, 242, 242, 1)\",\"signup_button_border_color\":\"rgba(214, 214, 214, 1)\",\"button_text_color\":\"rgba(255, 255, 255, 1)\",\"signup_button_text_color\":\"rgba(109, 109, 109, 1)\",\"input_bg_color_modal\":\"rgba(255, 255, 255, 1)\",\"input_border_color_modal\":\"rgba(153, 153, 153, 1)\",\"input_text_color_modal\":\"rgba(0, 0, 0, 1)\",\"button_bg_color_modal\":\"rgba(255, 188, 0, 1)\",\"signup_button_color_modal\":\"rgba(242, 242, 242, 1)\",\"signup_button_border_color_modal\":\"rgba(214, 214, 214, 1)\",\"button_text_color_modal\":\"rgba(255, 255, 255, 1)\",\"signup_button_text_color_modal\":\"rgba(109, 109, 109, 1)\"}'\n                       id=\"dig_preset6\"/>\n            </td>\n        </tr>\n    </table>\n\n\n    <div class=\"dig_admin_head dig_prst_clse_scrl\"><span>";
    _e("Form Type", "digits");
    echo "</span></div>\n    <table class=\"form-table dig_image_checkbox\">\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Page", "digits");
    echo " </label></th>\n            <td>\n                <div class=\"digits-form-type dig_trans\">\n\n                    <label class=\"dig_type_item\" for=\"dig_page_type1\">\n                        <div class=\"dig_style_types_gs\">\n                            <input value=\"1\" name=\"dig_page_type\" id=\"dig_page_type1\" class=\"dig_type\"\n                                   type=\"radio\" ";
    if ($page_type == 1) {
        echo "checked";
    }
    echo " />\n                            <div class=\"dig_preset_sel\">\n                                <div class=\"dig_tick_center\">\n                                    <img class=\"dig_preset_sel_tick\"\n                                         src=\"";
    echo get_digits_asset_uri("/admin/assets/images/preset-tick.svg");
    echo "\"\n                                         draggable=\"false\"/>\n                                </div>\n                            </div>\n                            <div class=\"dig-page-type1 dig-type-dims\"></div>\n                        </div>\n                    </label>\n                    <label class=\"dig_type_item\" for=\"dig_page_type2\">\n                        <div class=\"dig_style_types_gs\">\n                            <input value=\"2\" name=\"dig_page_type\" id=\"dig_page_type2\" class=\"dig_type\"\n                                   type=\"radio\" ";
    if ($page_type == 2) {
        echo "checked";
    }
    echo " />\n                            <div class=\"dig_preset_sel\">\n                                <div class=\"dig_tick_center\">\n                                    <img class=\"dig_preset_sel_tick\"\n                                         src=\"";
    echo get_digits_asset_uri("/admin/assets/images/preset-tick.svg");
    echo "\"\n                                         draggable=\"false\"/>\n                                </div>\n                            </div>\n                            <div class=\"dig-page-type2 dig-type-dims\"></div>\n                        </div>\n                    </label>\n                </div>\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Modal", "digits");
    echo " </label></th>\n            <td>\n                <div class=\"digits-form-type\">\n                    <label class=\"dig_type_item\" for=\"dig_modal_type1\">\n                        <div class=\"dig_style_types_gs\">\n                            <input value=\"1\" name=\"dig_modal_type\" id=\"dig_modal_type1\" class=\"dig_type\"\n                                   type=\"radio\" ";
    if ($modal_type == 1) {
        echo "checked";
    }
    echo " />\n                            <div class=\"dig_preset_sel\">\n                                <div class=\"dig_tick_center\">\n                                    <img class=\"dig_preset_sel_tick\"\n                                         src=\"";
    echo get_digits_asset_uri("/admin/assets/images/preset-tick.svg");
    echo "\"\n                                         draggable=\"false\"/>\n                                </div>\n                            </div>\n                            <div class=\"dig-modal-type1 dig-type-dims\"></div>\n                        </div>\n                    </label>\n\n                    <label class=\"dig_type_item\" for=\"dig_modal_type2\">\n                        <div class=\"dig_style_types_gs\">\n                            <input value=\"2\" name=\"dig_modal_type\" id=\"dig_modal_type2\" class=\"dig_type\"\n                                   type=\"radio\" ";
    if ($modal_type == 2) {
        echo "checked";
    }
    echo " />\n                            <div class=\"dig_preset_sel\">\n                                <div class=\"dig_tick_center\">\n                                    <img class=\"dig_preset_sel_tick\"\n                                         src=\"";
    echo get_digits_asset_uri("/admin/assets/images/preset-tick.svg");
    echo "\"\n                                         draggable=\"false\"/>\n                                </div>\n                            </div>\n                            <div class=\"dig-modal-type2 dig-type-dims\"></div>\n                        </div>\n                    </label>\n                </div>\n            </td>\n        </tr>\n    </table>\n\n\n    <div class=\"dig_admin_head\"><span>";
    _e("Page", "digits");
    echo "</span></div>\n\n\n    <table class=\"form-table\">\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Logo", "digits");
    echo " </label></th>\n            <td>\n\n                ";
    $imgid = get_option("digits_logo_image");
    $remstyle = "";
    if (empty($imgid)) {
        $imagechoose = __("Select image", "digits");
        $remstyle = "style=\"display:none;\"";
    } else {
        $imagechoose = __("Remove Image", "digits");
    }
    $wid = "";
    if (is_numeric($imgid)) {
        $wid = wp_get_attachment_url($imgid);
    }
    echo "                <div class='image-preview-wrapper'>\n                    <img id='image-preview' src='";
    if (is_numeric($imgid)) {
        echo $wid;
    } else {
        echo $imgid;
    }
    echo "'\n                         style=\"max-height:100px;max-width:250px;\">\n                </div>\n\n                <input type=\"text\" name=\"image_attachment_id\" id='image_attachment_id'\n                       value='";
    if (is_numeric($imgid)) {
        if ($wid) {
            echo $wid;
        }
    } else {
        echo $imgid;
    }
    echo "' placeholder=\"";
    _e("URL", "digits");
    echo "\" class=\"dig_url_img\"/>\n                <Button id=\"upload_image_button\" type=\"button\" class=\"button dig_img_chn_btn dig_imsr\"\n                >";
    echo $imagechoose;
    echo "</Button>\n\n\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label for=\"bgcolor\">";
    _e("Login Page Left Background Color", "digits");
    echo " </label>\n            </th>\n            <td>\n                <input name=\"left_color\" type=\"text\" class=\"bg_color\" value=\"";
    echo $leftcolor;
    echo "\"\n                       autocomplete=\"off\"\n                       required data-alpha=\"true\">\n\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Login Page Left Image", "digits");
    echo " </label></th>\n            <td>\n\n                ";
    $imgid = get_option("digits_left_bg_image");
    $remstyle = "";
    if (empty($imgid)) {
        $imagechoose = __("Select image", "digits");
        $remstyle = "style=\"display:none;\"";
    } else {
        $imagechoose = __("Remove Image", "digits");
    }
    $wid = "";
    if (is_numeric($imgid)) {
        $wid = wp_get_attachment_url($imgid);
    }
    echo "                <div class='image-preview-wrapper'>\n                    <img id='bg_image-preview_left' src='";
    if (is_numeric($imgid)) {
        echo $wid;
    } else {
        echo $imgid;
    }
    echo "'\n                         style=\"max-height:100px;\">\n                </div>\n\n                <input type=\"text\" name=\"bg_image_attachment_id_left\" id='bg_image_attachment_id_left'\n                       value='";
    if (is_numeric($imgid)) {
        if ($wid) {
            echo $wid;
        }
    } else {
        echo $imgid;
    }
    echo "' placeholder=\"";
    _e("URL", "digits");
    echo "\" class=\"dig_url_img\"/>\n\n                <Button id=\"bg_upload_image_button_left\" type=\"button\" class=\"button dig_img_chn_btn dig_imsr\"\n                >";
    echo $imagechoose;
    echo "</Button>\n\n\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Login Page Left Background Size", "digits");
    echo "</label></th>\n            <td>\n                <select name=\"left_bg_size\">\n                    ";
    foreach ($size_bg as $size) {
        $sel = "";
        if ($left_bg_size == $size) {
            $sel = "selected";
        }
        echo "<option value=\"" . $size . "\" " . $sel . ">" . $size . "</option>";
    }
    echo "                </select>\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Login Page Left Background Position", "digits");
    echo "</label></th>\n            <td>\n                <select name=\"left_bg_position\">\n                    ";
    foreach ($positions_bg as $position) {
        $sel = "";
        if ($left_bg_position == $position) {
            $sel = "selected";
        }
        echo "<option value=\"" . $position . "\" " . $sel . ">" . $position . "</option>";
    }
    echo "                </select>\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label for=\"login_page_footer\">";
    _e("Login Page Footer", "digits");
    echo " </label></th>\n            <td>\n            <textarea name=\"login_page_footer\" id=\"login_page_footer\" type=\"text\" rows=\"3\">";
    $footer = trim(get_option("login_page_footer"));
    if (!empty($footer)) {
        echo stripslashes(str_replace("<br />", "\n", base64_decode($footer)));
    }
    echo "</textarea>\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label for=\"bgcolor\">";
    _e("Login Page Footer Text Color", "digits");
    echo " </label></th>\n            <td>\n                <input name=\"login_page_footer_text_color\" type=\"text\" class=\"bg_color\"\n                       value=\"";
    echo get_option("login_page_footer_text_color", "rgba(255,255,255,1)");
    echo "\"\n                       autocomplete=\"off\"\n                       required data-alpha=\"true\">\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\"><label for=\"bgcolor\">";
    _e("Login Page Background Color", "digits");
    echo " </label></th>\n            <td>\n                <input name=\"bg_color\" type=\"text\" class=\"bg_color\" value=\"";
    echo $bgcolor;
    echo "\" autocomplete=\"off\"\n                       required data-alpha=\"true\">\n\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Login Page Background Image", "digits");
    echo " </label></th>\n            <td>\n\n                ";
    $imgid = get_option("digits_bg_image");
    $remstyle = "";
    if (empty($imgid)) {
        $imagechoose = __("Select image", "digits");
        $remstyle = "style=\"display:none;\"";
    } else {
        $imagechoose = __("Remove Image", "digits");
    }
    $wid = "";
    if (is_numeric($imgid)) {
        $wid = wp_get_attachment_url($imgid);
    }
    echo "                <div class='image-preview-wrapper'>\n                    <img id='bg_image-preview' src='";
    if (is_numeric($imgid)) {
        echo $wid;
    } else {
        echo $imgid;
    }
    echo "'\n                         style=\"max-height:100px;\">\n                </div>\n\n                <input type=\"text\" name=\"bg_image_attachment_id\" id='bg_image_attachment_id'\n                       value='";
    if (is_numeric($imgid)) {
        if ($wid) {
            echo $wid;
        }
    } else {
        echo $imgid;
    }
    echo "' placeholder=\"";
    _e("URL", "digits");
    echo "\" class=\"dig_url_img\"/>\n\n                <Button id=\"bg_upload_image_button\" type=\"button\" class=\"button dig_img_chn_btn dig_imsr\"\n                >";
    echo $imagechoose;
    echo "</Button>\n\n\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\"><label for=\"lbxbgcolor\">";
    _e("Login Box Background Color", "digits");
    echo " </label></th>\n            <td>\n                <input name=\"lbxbg_color\" type=\"text\" class=\"bg_color\" value=\"";
    echo $loginboxcolor;
    echo "\"\n                       autocomplete=\"off\"\n                       required data-alpha=\"true\">\n\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label for=\"lb_x\">";
    _e("Login Box Shadow", "digits");
    echo " </label></th>\n            <td>\n\n                <table class=\"digotlbr\">\n                    <tr class=\"dignochkbxra\">\n                        <td><input id=\"lb_x\" name=\"lb_x\" type=\"number\" value=\"";
    echo $sx;
    echo "\" autocomplete=\"off\"\n                                   required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label for=\"lb_x\">";
    _e("X", "digits");
    echo "</label></div>\n                        </td>\n                        <td><input id=\"lb_y\" name=\"lb_y\" type=\"number\" value=\"";
    echo $sy;
    echo "\" autocomplete=\"off\"\n                                   required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label for=\"lb_y\">";
    _e("Y", "digits");
    echo "</label></div>\n                        </td>\n                        <td><input id=\"lb_blur\" name=\"lb_blur\" type=\"number\" value=\"";
    echo $sblur;
    echo "\"\n                                   autocomplete=\"off\" required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label for=\"lb_blur\">";
    _e("Blur", "digits");
    echo "</label></div>\n                        </td>\n                        <td><input id=\"lb_spread\" name=\"lb_spread\" type=\"number\" value=\"";
    echo $sspread;
    echo "\"\n                                   autocomplete=\"off\" required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label for=\"lb_spread\">";
    _e("Spread", "digits");
    echo "</label>\n                            </div>\n                        </td>\n                    </tr>\n                </table>\n\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\"><label for=\"lb_color\">";
    _e("Login Box Shadow Color", "digits");
    echo " </label></th>\n            <td>\n                <input name=\"lb_color\" class=\"bg_color\" type=\"text\" value=\"";
    echo $scolor;
    echo "\" autocomplete=\"off\"\n                       required data-alpha=\"true\">\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label for=\"bgcolor\">";
    _e("Login Box Radius", "digits");
    echo " </label></th>\n            <td>\n                <div class=\"dig_gs_nmb_ovr_spn\">\n                    <input class=\"dignochkbx\" name=\"lb_radius\" type=\"number\" value=\"";
    echo $sradius;
    echo "\"\n                           autocomplete=\"off\" required maxlength=\"2\" dig-min=\"42\" placeholder=\"0\">\n                    <span style=\"left:42px;\">px</span>\n                </div>\n\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_page_type_1_2\">\n            <th scope=\"row\"><label data-type1=\"";
    _e("Text and Button Color", "digits");
    echo "\"\n                                   data-type2=\"";
    _e("Text Color", "digits");
    echo "\">Color</label></th>\n            <td>\n                <input type=\"text\" name=\"fontcolor1\" class=\"bg_color\" value=\"";
    echo $fontcolor1;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_page_type_1\">\n            <th scope=\"row\"><label>";
    _e("Button Font Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"fontcolor2\" class=\"bg_color\" value=\"";
    echo $fontcolor2;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Back/Cancel Button Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"backcolor\" class=\"bg_color\" value=\"";
    echo $backcolor;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Input Background Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"input_bg_color\" class=\"bg_color\" value=\"";
    echo $input_bg_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Input Border Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"input_border_color\" class=\"bg_color\" value=\"";
    echo $input_border_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Input Text Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"input_text_color\" class=\"bg_color\" value=\"";
    echo $input_text_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Button Border Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"button_bg_color\" class=\"bg_color\" value=\"";
    echo $button_bg_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Button Text Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"button_text_color\" class=\"bg_color\" value=\"";
    echo $button_text_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Signup Button Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"signup_button_color\" class=\"bg_color\"\n                       value=\"";
    echo $signup_button_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Signup Button Border Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"signup_button_border_color\" class=\"bg_color\"\n                       value=\"";
    echo $signup_button_border_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Signup Button Text Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"signup_button_text_color\" class=\"bg_color\"\n                       value=\"";
    echo $signup_button_text_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n\n    </table>\n\n\n    ";
    $color = $color_modal;
    $bgcolor = "rgba(6, 6, 6, 0.8)";
    $fontcolor = 0;
    $loginboxcolor = "rgba(255,255,255,1)";
    $sx = 0;
    $sy = 0;
    $sspread = 0;
    $sblur = 20;
    $scolor = "rgba(0, 0, 0, 0.3)";
    $fontcolor1 = "rgba(20,20,20,1)";
    $fontcolor2 = "rgba(255,255,255,1)";
    $input_bg_color = "rgba(0,0,0,0)";
    $input_border_color = "rgba(0,0,0,0)";
    $input_text_color = "rgba(0,0,0,0)";
    $button_bg_color = "rgba(0,0,0,0)";
    $signup_button_color = "rgba(0,0,0,0)";
    $signup_button_border_color = "rgba(0,0,0,0)";
    $button_text_color = "rgba(0,0,0,0)";
    $signup_button_text_color = "rgba(0,0,0,0)";
    $left_bg_position = "Center Center";
    $left_bg_size = "auto";
    $leftcolor = "rgba(0,0,0,1)";
    $sradius = 0;
    if ($color !== false) {
        $bgcolor = $color["bgcolor"];
        $col = get_option("digit_color");
        if (isset($col["fontcolor"])) {
            $fontcolor = $col["fontcolor"];
            if ($fontcolor == 1) {
                $fontcolor1 = "rgba(255,255,255,1)";
                $fontcolor2 = "rgba(20,20,20,1)";
            }
        }
        if (isset($color["sx"])) {
            $sx = $color["sx"];
            $sy = $color["sy"];
            $sspread = $color["sspread"];
            $sblur = $color["sblur"];
            $scolor = $color["scolor"];
            $fontcolor1 = $color["fontcolor1"];
            $fontcolor2 = $color["fontcolor2"];
            $loginboxcolor = $color["loginboxcolor"];
            $sradius = $color["sradius"];
            if (isset($color["type"])) {
                $page_type = $color["type"];
                if ($page_type == 2) {
                    $leftcolor = $color["left_color"];
                }
                $modal_type = $color_modal["type"];
                $input_bg_color = $color["input_bg_color"];
                $input_border_color = $color["input_border_color"];
                $input_text_color = $color["input_text_color"];
                $button_bg_color = $color["button_bg_color"];
                $signup_button_color = $color["signup_button_color"];
                $signup_button_border_color = $color["signup_button_border_color"];
                $button_text_color = $color["button_text_color"];
                $signup_button_text_color = $color["signup_button_text_color"];
                $left_bg_position = $color["left_bg_position"];
                $left_bg_size = $color["left_bg_size"];
            }
        }
    }
    echo "\n    <div class=\"dig_admin_head\"><span>";
    _e("Modal", "digits");
    echo "</span></div>\n    <table class=\"form-table\">\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Modal Overlay Color", "digits");
    echo " </label></th>\n            <td>\n                <input name=\"bg_color_modal\" type=\"text\" class=\"bg_color\" value=\"";
    echo $bgcolor;
    echo "\"\n                       autocomplete=\"off\"\n                       required data-alpha=\"true\">\n\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Login Modal Background Image", "digits");
    echo " </label></th>\n            <td>\n\n                ";
    $imgid = get_option("digits_bg_image_modal");
    $remstyle = "";
    if (empty($imgid)) {
        $imagechoose = __("Select image", "digits");
        $remstyle = "style=\"display:none;\"";
    } else {
        $imagechoose = __("Remove Image", "digits");
    }
    $wid = "";
    if (is_numeric($imgid)) {
        $wid = wp_get_attachment_url($imgid);
    }
    echo "                <div class='image-preview-wrapper'>\n                    <img id='bg_image-preview_modal' src='";
    if (is_numeric($imgid)) {
        echo $wid;
    } else {
        echo $imgid;
    }
    echo "'\n                         style=\"max-height:100px;\">\n                </div>\n\n                <input type=\"text\" name=\"bg_image_attachment_id_modal\" id='bg_image_attachment_id_modal'\n                       value='";
    if (is_numeric($imgid)) {
        if ($wid) {
            echo $wid;
        }
    } else {
        echo $imgid;
    }
    echo "' placeholder=\"";
    _e("URL", "digits");
    echo "\" class=\"dig_url_img\"/>\n\n                <Button id=\"bg_upload_image_button_modal\" type=\"button\" class=\"button dig_img_chn_btn dig_imsr\"\n                >";
    echo $imagechoose;
    echo "</Button>\n\n\n            </td>\n        </tr>\n\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label for=\"bgcolor\">";
    _e("Login Box Left Background Color", "digits");
    echo " </label>\n            </th>\n            <td>\n                <input name=\"left_color_modal\" type=\"text\" class=\"bg_color\" value=\"";
    echo $leftcolor;
    echo "\"\n                       autocomplete=\"off\"\n                       required data-alpha=\"true\">\n            </td>\n        </tr>\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Login Box Left Image", "digits");
    echo " </label></th>\n            <td>\n\n                ";
    $imgid = get_option("digits_left_bg_image_modal");
    $remstyle = "";
    if (empty($imgid)) {
        $imagechoose = __("Select image", "digits");
        $remstyle = "style=\"display:none;\"";
    } else {
        $imagechoose = __("Remove Image", "digits");
    }
    $wid = "";
    if (is_numeric($imgid)) {
        $wid = wp_get_attachment_url($imgid);
    }
    echo "                <div class='image-preview-wrapper'>\n                    <img id='bg_image-preview_left_modal' src='";
    if (is_numeric($imgid)) {
        echo $wid;
    } else {
        echo $imgid;
    }
    echo "'\n                         style=\"max-height:100px;\">\n                </div>\n\n                <input type=\"text\" name=\"bg_image_attachment_id_left_modal\" id='bg_image_attachment_id_left_modal'\n                       value='";
    if (is_numeric($imgid)) {
        if ($wid) {
            echo $wid;
        }
    } else {
        echo $imgid;
    }
    echo "' placeholder=\"";
    _e("URL", "digits");
    echo "\" class=\"dig_url_img\"/>\n\n                <Button id=\"bg_upload_image_button_left_modal\" type=\"button\" class=\"button dig_img_chn_btn dig_imsr\"\n                >";
    echo $imagechoose;
    echo "</Button>\n\n\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Login Page Left Background Size", "digits");
    echo "</label></th>\n            <td>\n                <select name=\"left_bg_size_modal\">\n                    ";
    foreach ($size_bg as $size) {
        $sel = "";
        if ($left_bg_size == $size) {
            $sel = "selected";
        }
        echo "<option value=\"" . $size . "\" " . $sel . ">" . $size . "</option>";
    }
    echo "                </select>\n            </td>\n        </tr>\n\n        <tr class=\"dig_page_type_2\">\n            <th scope=\"row\"><label>";
    _e("Login Page Left Background Position", "digits");
    echo "</label></th>\n            <td>\n                <select name=\"left_bg_position_modal\">\n                    ";
    foreach ($positions_bg as $position) {
        $sel = "";
        if ($left_bg_position == $position) {
            $sel = "selected";
        }
        echo "<option value=\"" . $position . "\" " . $sel . ">" . $position . "</option>";
    }
    echo "                </select>\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Login Modal Background Color", "digits");
    echo " </label></th>\n            <td>\n                <input name=\"lbxbg_color_modal\" type=\"text\" class=\"bg_color\" value=\"";
    echo $loginboxcolor;
    echo "\"\n                       autocomplete=\"off\"\n                       required data-alpha=\"true\">\n\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label for=\"lb_x_modal\">";
    _e("Login Modal Shadow", "digits");
    echo " </label></th>\n            <td>\n\n                <table class=\"digotlbr\">\n                    <tr class=\"dignochkbxra\">\n                        <td><input id=\"lb_x_modal\" name=\"lb_x_modal\" type=\"number\" value=\"";
    echo $sx;
    echo "\"\n                                   autocomplete=\"off\" required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label for=\"lb_x_modal\">";
    _e("X", "digits");
    echo "</label></div>\n                        </td>\n                        <td><input id=\"lb_y_modal\" name=\"lb_y_modal\" type=\"number\" value=\"";
    echo $sy;
    echo "\"\n                                   autocomplete=\"off\" required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label for=\"lb_y_modal\">";
    _e("Y", "digits");
    echo "</label></div>\n                        </td>\n                        <td><input id=\"lb_blur_modal\" name=\"lb_blur_modal\" type=\"number\" value=\"";
    echo $sblur;
    echo "\"\n                                   autocomplete=\"off\" required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label for=\"lb_blur_modal\">";
    _e("Blur", "digits");
    echo "</label>\n                            </div>\n                        </td>\n                        <td><input id=\"lb_spread_modal\" name=\"lb_spread_modal\" type=\"number\"\n                                   value=\"";
    echo $sspread;
    echo "\" autocomplete=\"off\" required maxlength=\"2\">\n                            <div class=\"digno-tr_dt\"><label\n                                        for=\"lb_spread_modal\">";
    _e("Spread", "digits");
    echo "</label></div>\n                        </td>\n                    </tr>\n                </table>\n\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Login Modal Shadow Color", "digits");
    echo " </label></th>\n            <td>\n                <input name=\"lb_color_modal\" class=\"bg_color\" type=\"text\" value=\"";
    echo $scolor;
    echo "\"\n                       autocomplete=\"off\"\n                       required data-alpha=\"true\">\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label for=\"lb_radius_modal\">";
    _e("Login Modal Radius", "digits");
    echo " </label></th>\n            <td>\n                <div class=\"dig_gs_nmb_ovr_spn\">\n                    <input class=\"dignochkbx\" name=\"lb_radius_modal\" id=\"lb_radius_modal\" type=\"number\"\n                           value=\"";
    echo $sradius;
    echo "\" autocomplete=\"off\" dig-min=\"42\" required maxlength=\"2\"\n                           placeholder=\"0\">\n                    <span style=\"left:42px;\">px</span>\n                </div>\n\n\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_modal_type_1_2\">\n            <th scope=\"row\"><label data-type1=\"";
    _e("Text and Button Color", "digits");
    echo "\"\n                                   data-type2=\"";
    _e("Text Color", "digits");
    echo "\">Color</label></th>\n            <td>\n                <input type=\"text\" name=\"fontcolor1_modal\" class=\"bg_color\" value=\"";
    echo $fontcolor1;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_modal_type_1\">\n            <th scope=\"row\"><label>";
    _e("Button Font Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"fontcolor2_modal\" class=\"bg_color\" value=\"";
    echo $fontcolor2;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Input Background Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"input_bg_color_modal\" class=\"bg_color\" value=\"";
    echo $input_bg_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Input Border Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"input_border_color_modal\" class=\"bg_color\"\n                       value=\"";
    echo $input_border_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Input Text Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"input_text_color_modal\" class=\"bg_color\"\n                       value=\"";
    echo $input_text_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Button Border Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"button_bg_color_modal\" class=\"bg_color\" value=\"";
    echo $button_bg_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Button Text Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"button_text_color_modal\" class=\"bg_color\"\n                       value=\"";
    echo $button_text_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Signup Button Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"signup_button_color_modal\" class=\"bg_color\"\n                       value=\"";
    echo $signup_button_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Signup Button Border Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"signup_button_border_color_modal\" class=\"bg_color\"\n                       value=\"";
    echo $signup_button_border_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n        <tr class=\"dig_modal_type_2\">\n            <th scope=\"row\"><label>";
    _e("Signup Button Text Color", "digits");
    echo " </label></th>\n            <td>\n                <input type=\"text\" name=\"signup_button_text_color_modal\" class=\"bg_color\"\n                       value=\"";
    echo $signup_button_text_color;
    echo "\"\n                       data-alpha=\"true\"/>\n            </td>\n        </tr>\n\n\n    </table>\n\n\n    <div class=\"dig_admin_head\"><span>";
    _e("Advanced Options", "digits");
    echo "</span></div>\n    ";
    $custom_css = get_option("digit_custom_css");
    $custom_css = stripslashes($custom_css);
    echo "    <table class=\"form-table\">\n        <tr>\n            <th scope=\"row\"><label for=\"dig_custom_css\">";
    _e("Custom CSS", "digits");
    echo " </label></th>\n            <td><textarea name=\"digit_custom_css\" rows=\"6\"\n                          class=\"dig_inp_wid28\" id=\"dig_custom_css\">";
    echo $custom_css;
    echo "</textarea></td>\n        </tr>\n    </table>\n\n    ";
    if ($isWiz) {
        echo "        <p class=\"digits-setup-action step\">\n            <input type=\"submit\" value=\"";
        _e("Continue", "digits");
        echo "\"\n                   class=\"button-primary button button-large button-next\"/>\n            <a href=\"";
        echo admin_url("index.php?page=digits-setup&step=apisettings");
        echo "\"\n               class=\"button\">";
        _e("Back", "digits");
        echo "</a>\n        </p>\n        </form>\n        ";
    }
    echo "    ";
}
function digits_configure_settings()
{
    $enable_createcustomeronorder = get_option("enable_createcustomeronorder");
    $defaultuserrole = get_option("defaultuserrole", "customer");
    if (!get_role($defaultuserrole)) {
        $defaultuserrole = "subscriber";
    }
    $digforgotpass = get_option("digforgotpass", 1);
    $dig_overwrite_forgotpass_link = get_option("dig_overwrite_forgotpass_link", 1);
    $dig_hide_countrycode = get_option("dig_hide_countrycode", 0);
    $mobInUname = get_option("dig_mobilein_uname", 0);
    $dig_mob_otp_resend_time = get_option("dig_mob_otp_resend_time", 30);
    $dig_use_strongpass = get_option("dig_use_strongpass", 0);
    $login_reg_success_msg = get_option("login_reg_success_msg", 1);
    $dig_otp_size = get_option("dig_otp_size", 6);
    $wp_login_inte = get_option("dig_wp_login_inte", 0);
    $dig_redirect_wc_to_dig = get_option("dig_redirect_wc_to_dig", 0);
    $dig_mobile_no_formatting = get_option("dig_mobile_no_formatting", 1);
    echo "    <div class=\"dig_admin_head\"><span>";
    _e("Basic", "digits");
    echo "</span></div>\n    <table class=\"form-table\">\n\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Username Generation", "digits");
    echo " </label></th>\n            <td>\n                <select name=\"dig_mobilein_uname\">\n                    <option value=\"3\" ";
    if ($mobInUname == 3) {
        echo "selected=\"selected\"";
    }
    echo ">";
    _e("From Email", "digits");
    echo "</option>\n                    <option value=\"2\" ";
    if ($mobInUname == 2) {
        echo "selected=\"selected\"";
    }
    echo ">";
    _e("Random Numbers", "digits");
    echo "</option>\n                    <option value=\"1\" ";
    if ($mobInUname == 1) {
        echo "selected=\"selected\"";
    }
    echo ">";
    _e("From Mobile Number", "digits");
    echo "</option>\n                    <option value=\"0\" ";
    if ($mobInUname == 0) {
        echo "selected=\"selected\"";
    }
    echo ">";
    _e("From Name", "digits");
    echo "</option>\n\n                </select>\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Mobile Number Formatting", "digits");
    echo " </label></th>\n            <td>\n                <select name=\"dig_mobile_no_formatting\">\n                    <option value=\"2\" ";
    if ($dig_mobile_no_formatting == 2) {
        echo "selected=\"selected\"";
    }
    echo ">";
    _e("Local", "digits");
    echo "</option>\n                    <option value=\"1\" ";
    if ($dig_mobile_no_formatting == 1) {
        echo "selected=\"selected\"";
    }
    echo ">";
    _e("International", "digits");
    echo "</option>\n                    <option value=\"0\" ";
    if ($dig_mobile_no_formatting == 0) {
        echo "selected=\"selected\"";
    }
    echo ">";
    _e("No", "digits");
    echo "</option>\n                </select>\n                <p class=\"dig_ecr_desc dig_sel_erc_desc\">";
    _e("This function only works on Digits Login/Signup Modal and Page", "digits");
    echo "</p>\n\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\"><label class=\"top-10\">";
    _e("Enable /wp-login.php Integeration", "digits");
    echo " </label>\n            </th>\n            <td>\n                ";
    digits_input_switch("dig_wp_login_inte", $wp_login_inte);
    echo "            </td>\n        </tr>\n\n        <tr class=\"enabledisableforgotpasswordrow\">\n            <th scope=\"row\"><label class=\"top-10\">";
    _e("Enable Forgot Password", "digits");
    echo " </label></th>\n            <td>\n                ";
    digits_input_switch("dig_enable_forgotpass", $digforgotpass);
    echo "\n                <p class=\"dig_ecr_desc dig_sel_erc_desc\">";
    _e("This function only works on Digits Login/Signup Modal and Page", "digits");
    echo "</p>\n            </td>\n        </tr>\n\n        <tr class=\"enabledisableforgotpasswordrow\">\n            <th scope=\"row\"><label\n                        class=\"top-10\">";
    _e("Use Digits form as default Forgot Password form", "digits");
    echo " </label>\n            </th>\n            <td>\n                ";
    digits_input_switch("dig_overwrite_forgotpass_link", $dig_overwrite_forgotpass_link);
    echo "            </td>\n        </tr>\n\n\n        <tr id=\"enabledisablestrongpasswordrow\">\n            <th scope=\"row\"><label\n                        class=\"top-10\">";
    _e("Enable Strong Password for Registration", "digits");
    echo " </label></th>\n            <td>\n                ";
    digits_input_switch("dig_enable_strongpass", $dig_use_strongpass);
    echo "            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\" style=\"vertical-align:top;\"><label\n                        for=\"defaultuserrole\">";
    _e("Default User Role", "digits");
    echo "</label></th>\n            <td>\n                <select name=\"defaultuserrole\" id=\"defaultuserrole\">\n                    ";
    foreach (wp_roles()->roles as $rkey => $rvalue) {
        if ($rkey == $defaultuserrole) {
            $sel = "selected=selected";
        } else {
            $sel = "";
        }
        echo "<option value=\"" . $rkey . "\" " . $sel . ">" . $rvalue["name"] . "</option>";
    }
    echo "                </select>\n\n                <p class=\"dig_ecr_desc dig_sel_erc_desc\">";
    _e("The default role which will be assigned to new user created.", "digits");
    echo "</p>\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\" style=\"vertical-align:top;\"><label\n                        for=\"login_reg_success_msg\"\n                        class=\"top-10\">";
    _e("Login/Registration Success Message", "digits");
    echo "</label>\n            </th>\n            <td>\n                ";
    digits_input_switch("login_reg_success_msg", $login_reg_success_msg);
    echo "\n                <p class=\"dig_ecr_desc dig_sel_erc_desc\">";
    _e("This function only works on Digits Login/Signup Modal and Page", "digits");
    echo "</p>\n            </td>\n        </tr>\n    </table>\n    <div class=\"dig_admin_head\"><span>";
    _e("OTP SMS", "digits");
    echo "</span></div>\n\n\n    ";
    $countryList = getCountryList();
    $currentCountry = get_option("dig_default_ccode", "United States");
    $whiteListCountryCodes = get_option("whitelistcountrycodes");
    $blacklistcountrycodes = get_option("dig_blacklistcountrycodes");
    echo "\n    <table class=\"form-table\" style=\"overflow: hidden\">\n        <tr>\n            <th scope=\"row\"><label>";
    _e("Default Country Code", "digits");
    echo " </label></th>\n            <td>\n                <select name=\"default_ccode\" class=\"dig_inp_wid3 dig_inp_wid_wil\">\n                    <option value=\"-1\">Disabled</option>\n                    ";
    $valCon = "";
    foreach ($countryList as $key => $value) {
        $ac = "";
        if ($currentCountry == $key) {
            $ac = "selected=selected";
        }
        echo "<option class=\"dig-cc-visible\" " . $ac . " value=\"" . $key . "\" country=\"" . digits_strtolower($key) . "\">" . getTranslatedCountryName($key) . " (+" . $value . ")</option>";
    }
    echo "                </select>\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\" style=\"vertical-align:top;\"><label\n                        for=\"whitelistcountrycodes\">";
    _e("Country Codes Allowlist", "digits");
    echo "</label></th>\n            <td>\n\n                <select name=\"whitelistcountrycodes[]\" class=\"whitelistcountrycodeslist dig_multiselect_enable\"\n                        multiple=\"multiple\">\n                    ";
    foreach ($countryList as $key => $value) {
        $ac = "";
        if ($whiteListCountryCodes && in_array($key, $whiteListCountryCodes)) {
            $ac = "selected=selected";
        }
        echo "<option value=\"" . $key . "\" " . $ac . ">" . getTranslatedCountryName($key) . " (+" . $value . ")</option>";
    }
    echo "                </select><br/>\n                <p class=\"dig_ecr_desc\">";
    _e("Sign In/Sign Up will be allowed for phone numbers with these country codes. To allow Sign In/Sign Up for all country codes, leave this blank.", "digits");
    echo "</p>\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\" style=\"vertical-align:top;\"><label\n                        for=\"blacklistcountrycodes\">";
    _e("Country Codes Denylist", "digits");
    echo "</label></th>\n            <td>\n\n                <select name=\"blacklistcountrycodes[]\" class=\"blacklistcountrycodes dig_multiselect_enable\"\n                        multiple=\"multiple\">\n                    ";
    foreach ($countryList as $key => $value) {
        $ac = "";
        if ($blacklistcountrycodes && in_array($key, $blacklistcountrycodes)) {
            $ac = "selected=selected";
        }
        echo "<option value=\"" . $key . "\" " . $ac . ">" . getTranslatedCountryName($key) . " (+" . $value . ")</option>";
    }
    echo "                </select><br/>\n                <p class=\"dig_ecr_desc\">";
    _e("Sign In/Sign Up will be not allowed for phone numbers with these country codes. To allow Sign In/Sign Up for all country codes, leave this blank.", "digits");
    echo "</p>\n            </td>\n        </tr>\n\n\n        ";
    $disp = "";
    $dispotp = "";
    echo "    </table>\n    ";
    $digits_hidecountrycode_style = "style=\"display:none;\"";
    if (is_array($whiteListCountryCodes) && count($whiteListCountryCodes) == 1) {
        $digits_hidecountrycode_style = "style=\"display:block;\"";
    }
    echo "    <div id=\"digits_hidecountrycode\" ";
    echo $digits_hidecountrycode_style;
    echo ">\n        <table class=\"form-table\">\n            <tr>\n                <th scope=\"row\"><label class=\"top-10\">";
    _e("Hide Country Code", "digits");
    echo " </label></th>\n                <td>\n                    ";
    digits_input_switch("dig_hide_countrycode", $dig_hide_countrycode);
    echo "                </td>\n            </tr>\n        </table>\n    </div>\n    <table class=\"form-table\">\n        <tr class=\"disotp\" ";
    echo $dispotp;
    echo ">\n            <th scope=\"row\" style=\"vertical-align:top;\"><label for=\"dig_otp_size\">";
    _e("OTP size", "digits");
    echo "                </label></th>\n            <td>\n                <select name=\"dig_otp_size\">\n                    <option value=\"4\" ";
    if ($dig_otp_size == 4) {
        echo "selected='selected'";
    }
    echo ">4\n                    </option>\n                    <option value=\"5\" ";
    if ($dig_otp_size == 5) {
        echo "selected='selected'";
    }
    echo ">5\n                    </option>\n                    <option value=\"6\" ";
    if ($dig_otp_size == 6) {
        echo "selected='selected'";
    }
    echo ">6\n                    </option>\n                    <option value=\"7\" ";
    if ($dig_otp_size == 7) {
        echo "selected='selected'";
    }
    echo ">7\n                    </option>\n                    <option value=\"8\" ";
    if ($dig_otp_size == 8) {
        echo "selected='selected'";
    }
    echo ">8\n                    </option>\n\n                </select>\n            </td>\n        </tr>\n\n\n        <tr>\n            <th scope=\"row\" style=\"vertical-align:top;\"><label\n                        for=\"dig_mob_otp_resend_time\">";
    _e("OTP Resend Time", "digits");
    echo "</label>\n            </th>\n            <td>\n                <div class=\"dig_gs_nmb_ovr_spn\">\n                    <input dig-min=\"51\" type=\"number\" name=\"dig_mob_otp_resend_time\"\n                           value=\"";
    echo $dig_mob_otp_resend_time;
    echo "\"\n                           placeholder=\"";
    _e("0", "digits");
    echo "\" class=\"dig_inp_wid3\" min=\"20\" required/>\n                    <span style=\"left:51px;\">";
    _e("Seconds", "digits");
    echo "</span>\n                </div>\n            </td>\n        </tr>\n\n\n    </table>\n\n\n    ";
    $dig_reqfieldbilling = get_option("dig_reqfieldbilling", 0);
    $enable_wc_autofill = get_option("dig_autofill_wc_billing", 1);
    $showWC = "";
    if (!class_exists("WooCommerce")) {
        $showWC = "style=\"display:none;\"";
    }
    echo "\n    <div ";
    echo $showWC;
    echo " class=\"dig_admin_head\"><span>";
    _e("WooCommerce Settings", "digits");
    echo "</span></div>\n\n    <table ";
    echo $showWC;
    echo " class=\"form-table\">\n        <tr>\n            <th scope=\"row\"><label\n                        class=\"no-top\">";
    _e("Redirect WooCommerce account page to Digits login page", "digits");
    echo " </label>\n            </th>\n            <td>\n                ";
    digits_input_switch("dig_redirect_wc_to_dig", $dig_redirect_wc_to_dig);
    echo "            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label for=\"enable_createcustomeronorder\"\n                                   class=\"top-10\">";
    _e("Create Customer Button", "digits");
    echo "                </label></th>\n            <td>\n                ";
    digits_input_switch("enable_createcustomeronorder", $enable_createcustomeronorder);
    echo "                <p class=\"dig_ecr_desc dig_sel_erc_desc\">";
    _e("Add customer on Add Order Page on dashboard using Modal", "digits");
    echo "</p>\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\"><label for=\"dig_reqfieldbilling\">";
    _e("Required field for billing info", "digits");
    echo "                </label></th>\n            <td>\n                <select name=\"dig_reqfieldbilling\" id=\"dig_reqfieldbilling\" class=\"dig_inp_wid3\">\n                    <option value=\"0\" ";
    if ($dig_reqfieldbilling == 0) {
        echo "selected=selected";
    }
    echo " >";
    _e("Mobile Number and Email", "digits");
    echo "</option>\n                    <option value=\"1\" ";
    if ($dig_reqfieldbilling == 1) {
        echo "selected=selected";
    }
    echo " >";
    _e("Mobile Number", "digits");
    echo "</option>\n                    <option value=\"2\" ";
    if ($dig_reqfieldbilling == 2) {
        echo "selected=selected";
    }
    echo " >";
    _e("Email", "digits");
    echo "</option>\n                </select>\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\"><label for=\"enable_autofillcustomerdetails\"\n                                   class=\"top-10\">";
    _e("Autofill WooCommerce billing fields with user info", "digits");
    echo "                </label></th>\n            <td>\n                ";
    digits_input_switch("enable_autofillcustomerdetails", $enable_wc_autofill);
    echo "</td>\n        </tr>\n    </table>\n\n\n    <div class=\"dig_admin_head\"><span>";
    _e("Redirection", "digits");
    echo "</span></div>\n\n    <table class=\"form-table dig_cs_re\">\n        <tr>\n            <th scope=\"row\"><label\n                        for=\"digits_myaccount_redirect\">";
    _e("My Account Link", "digits");
    echo "</label></th>\n            <td>\n\n                <input type=\"url\" id=\"digits_myaccount_redirect\" name=\"digits_myaccount_redirect\"\n                       value=\"";
    echo get_option("digits_myaccount_redirect");
    echo "\"\n                       placeholder=\"";
    _e("URL", "digits");
    echo "\"/>\n                <p class=\"dig_ecr_desc\">";
    _e("Leave blank for auto redirect", "digits");
    echo " </p>\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\"><label for=\"digits_loginred\">";
    _e("Login Redirect", "digits");
    echo "</label></th>\n            <td>\n\n                <input type=\"url\" id=\"digits_loginred\" name=\"digits_loginred\"\n                       value=\"";
    echo get_option("digits_loginred");
    echo "\"\n                       placeholder=\"";
    _e("URL", "digits");
    echo "\"/>\n                <p class=\"dig_ecr_desc\">";
    _e("Leave blank for auto redirect", "digits");
    echo " </p>\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label for=\"digits_regred\">";
    _e("Signup Redirect", "digits");
    echo "</label></th>\n            <td>\n                <input type=\"url\" id=\"digits_regred\" name=\"digits_regred\"\n                       value=\"";
    echo get_option("digits_regred");
    echo "\"\n                       placeholder=\"";
    _e("URL", "digits");
    echo "\"/>\n                <p class=\"dig_ecr_desc\">";
    _e("Leave blank for auto redirect", "digits");
    echo " </p>\n            </td>\n        </tr>\n        <tr>\n            <th scope=\"row\"><label for=\"digits_forgotred\">";
    _e("Forgot Password Redirect", "digits");
    echo "</label>\n            </th>\n            <td>\n                <input type=\"url\" id=\"digits_forgotred\" name=\"digits_forgotred\"\n                       value=\"";
    echo get_option("digits_forgotred");
    echo "\"\n                       placeholder=\"";
    _e("URL", "digits");
    echo "\"/>\n                <p class=\"dig_ecr_desc\">";
    _e("Leave blank for auto redirect", "digits");
    echo " </p>\n            </td>\n        </tr>\n        <tr class=\"dig_csmargn\">\n            <th scope=\"row\"><label for=\"digits_logoutred\">";
    _e("Logout Redirect", "digits");
    echo "</label></th>\n            <td>\n                <input type=\"url\" id=\"digits_logoutred\" name=\"digits_logoutred\"\n                       value=\"";
    echo get_option("digits_logoutred");
    echo "\"\n                       placeholder=\"";
    _e("URL", "digits");
    echo "\"/>\n                <p class=\"dig_ecr_desc\">";
    _e("Leave blank for auto redirect", "digits");
    echo "                    <br/><b>";
    _e("Note:", "digits");
    echo "</b>&nbsp;";
    _e("Redirect settings only works on Woocommerce, Digits Login/Signup Modal and Page", "digits");
    echo "                </p>\n            </td>\n        </tr>\n\n    </table>\n\n\n    <div class=\"dig_admin_head\"><span>";
    _e("Advanced", "digits");
    echo "</span></div>\n\n    <table class=\"form-table\">\n        <tr>\n            ";
    $sameorigin_protection = get_option("digits_sameorigin_protection", 0);
    echo "            <th scope=\"row\">\n                <label class=\"top-10\" for=\"digits_sameorigin_protection\">\n                    ";
    _e("Allow Digits Login/Signup pages in iframe", "digits");
    echo "                </label>\n            </th>\n            <td>\n\n                ";
    digits_input_switch("digits_sameorigin_protection", $sameorigin_protection);
    echo "\n            </td>\n        </tr>\n\n        <tr>\n            <th scope=\"row\">\n                <label>\n                    ";
    _e("Export/Import", "digits");
    echo "                </label>\n            </th>\n            <td>\n\n                <button id=\"digits_configuration_export\" class=\"button\"\n                        type=\"button\">";
    _e("Export", "digits");
    echo "</button>\n                <button id=\"digits_configuration_import\" class=\"button\"\n                        type=\"button\">";
    _e("Import", "digits");
    echo "</button>\n            </td>\n        </tr>\n    </table>\n\n    <div class=\"dig_presets_modal dig_overlay_modal_content\" id=\"dig_export_import_content\">\n        <div class=\"dig-flex_center\">\n            <div id=\"dig_presets_modal_box\">\n                <div id=\"dig_presets_modal_body\" class=\"form-table\">\n                    <div class=\"modal_head\"></div>\n                    <textarea class=\"dig_export_import_values\"\n                              placeholder=\"";
    _e("Paste your import code here...", "digits");
    echo "\"></textarea>\n\n                    <div class=\"dig_ex_imp_bottom\">\n                        <button class=\"imp_exp_button button imp_exp_btn_fn\" type=\"button\"\n                                attr-export=\"";
    _e("Copy", "digits");
    echo "\"></button>\n                        <div class=\"imp_exp_button imp_exp_cancel dig_presets_modal_head_close\"\n                             id=\"dig_presets_modal_head_close\">";
    _e("CLOSE", "digits");
    echo "</div>\n                    </div>\n\n                </div>\n            </div>\n        </div>\n    </div>\n\n\n    ";
}
function digits_input_switch($name, $value)
{
    $sel = $value == "on" || $value == 1 ? "checked" : "";
    echo "    <div class=\"input-switch ";
    echo $sel;
    echo "\">\n        <input type=\"checkbox\" class=\"";
    echo $name;
    echo "\" name=\"";
    echo $name;
    echo "\" id=\"";
    echo $name;
    echo "\"\n            ";
    echo $sel;
    echo " value=\"1\"/>\n        <label for=\"";
    echo $name;
    echo "\"></label>\n        <span class=\"status_text yes\">فعال</span>\n        <span class=\"status_text no\">غیرفعال</span>\n    </div>\n    <input type=\"checkbox\" class=\"hide-input ";
    echo $name;
    echo "_off\" name=\"";
    echo $name;
    echo "\"\n        ";
    if (empty($sel)) {
        echo "checked";
    }
    echo " value=\"0\"/>\n\n    ";
}
function digits_pages_complete_list()
{
    return array_merge(digits_pages_list("modal"), digits_pages_list("page"));
}
function digits_pages_list($type)
{
    $list = ["default" => ["label" => __("Digits Native", "digits"), "value" => "-1"]];
    return apply_filters("digits_" . $type . "_list", $list);
}

?>