<?php
/*
 * www.Saba.Network
 */


if (!defined("ABSPATH")) {
    exit;
}
require_once "includes/functions.php";
require_once "setup_wizard.php";
add_action("admin_menu", "add_digits_setting_page");
add_action("admin_footer", "digits_loader");
add_action("admin_head", "digits_add_admin_settings_scripts");
add_action("admin_enqueue_scripts", "digits_add_admin_settings_scripts");
add_action("admin_print_footer_scripts", "digits_add_admin_scripts");
function add_digits_setting_page()
{
    $m = add_menu_page("Digits", "Digits", "manage_options", "digits_settings", "digits_plugin_settings", "", 68);
    add_submenu_page("digits_settings", "Digits", "Settings", "manage_options", "digits_settings");
    do_action("digits_register_menu");
    add_action("admin_print_styles-" . $m, "dig_add_gs_css");
    add_action("admin_enqueue_scripts", "dig_add_menu_css");
}
function dig_add_menu_css()
{
    wp_enqueue_style("digits-settings", get_digits_asset_uri("/admin/assets/css/settings.min.css"), [], digits_version(), "all");
}
function digit_admin_header_logo($show_update = true)
{
    $plugin_updates = get_plugin_updates();
    $text = esc_html(digits_version());
    $slug = "digits";
    $base_name = get_digits_basename();
    if (isset($plugin_updates[$base_name]) && $show_update) {
        $link = wp_nonce_url(add_query_arg(["puc_check_for_updates" => 1, "puc_slug" => $slug], self_admin_url("plugins.php")), "puc_check_for_updates");
        $text .= " <a href=\"" . $link . "\" class=\"untdover_plugin_update\" data-slug=\"" . $slug . "\">" . __("(Update Available)", "digits") . "</a>";
    }
    echo "    <span class=\"dig-display_inline\">\n        <a href=\"https://webone-sms.com/fa/%D8%B5%D9%81%D8%AD%D9%87/%D9%88%D8%A8-%D8%B3%D8%B1%D9%88%DB%8C%D8%B3-%D8%A7%D8%B1%D8%B3%D8%A7%D9%84-%D9%BE%DB%8C%D8%A7%D9%85%DA%A9\" target=\"_blank\">\n            <img src=\"";
    echo get_digits_asset_uri("/assets/images/Digits_logo.png");
    echo "\"/></a></h1>\n        <span class=\"digits_plugin_version\">";
    echo $text;
    echo "</span>\n        </a>\n    </span>\n    ";
}
function digits_loader()
{
    echo "    <div class=\"dig_load_overlay\">\n        <div class=\"dig_load_content\">\n            <div class=\"dig_spinner\">\n                <div class=\"dig_double-bounce1\"></div>\n                <div class=\"dig_double-bounce2\"></div>\n            </div>\n        </div>\n    </div>\n    ";
}
function digits_plugin_settings()
{
    dig_add_gs_css();
    wp_print_request_filesystem_credentials_modal();
    $code = get_site_option("dig_purchasecode");
    if (!get_site_option($code)) {
        $code = get_option("dig_purchasecode");
        if (!empty($code)) {
            update_site_option("dig_purchasecode", $code);
        }
    }
    echo "\n\n    ";
    if (isset($_GET["show_survey"])) {
        $link = "https://forms.office.com/Pages/ResponsePage.aspx?id=DQSIkWdsW0yxEjajBLZtrQAAAAAAAAAAAAMAAASH_sdUNEZaSEFJN0c2NDlQNjVLT0JNQTJWQlhPVi4u";
        echo "        <style>body {\n                overflow: hidden;\n            }</style>\n\n        <div class=\"dig-addon-box dig-modal-center_align dig_ma-box dig-box  dig-modal-con-reno\">\n            <div class=\"dig-modal-center dig_addons_pop\">\n                <a href=\"";
        echo $link;
        echo "\" target=\"_blank\">\n                    <img src=\"";
        echo get_digits_asset_uri("/assets/images/survey-popup.png");
        echo "\"/>\n                </a>\n            </div>\n            <div class=\"dig_hide_modal\">\n            </div>\n        </div>\n\n        ";
    }
    $digpc = dig_get_option("dig_purchasecode");
    $request_link = admin_url("admin.php?page=digits_settings&tab=activate");
    $purchase_link = "https://1.envato.market/0zxKP";
    if (empty($digpc)) {
        echo "<div class=\"dig_red_notice dig_pc_notice dig_notice\">This is a trial version of Digits, please register the plugin using purchase code from <a href=\"" . $request_link . "\">here</a> to use full version. If you have not purchased digits yet, then please visit this <a href=\"" . $purchase_link . "\">link</a> to buy a genuine licensed copy.</div>";
    }
    if (isset($_POST["dig_hid_addon_domain_notice"])) {
        update_site_option("dig_hid_addon_domain_notice", 1);
    }
    $dig_hid_addon_domain_notice = get_site_option("dig_hid_addon_domain_notice", -1);
    echo "\t  \n    <form method=\"post\" autocomplete=\"off\" id=\"digits_setting_update\" class=\"dig_activation_form\"\n          enctype=\"multipart/form-data\">\n\n        <div class=\"digits_admim_conf\">\n\n\n            ";
    if (isset($_GET["tab"])) {
        $active_tab = sanitize_text_field($_GET["tab"]);
    } else {
        $active_tab = "apisettings";
    }
    digits_update_data(0);
    if (empty($digpc) && $active_tab == "customize") {
        $active_tab = "activate";
    }
    echo "\n            <div class=\"dig_big_preset_show\">\n                <div class=\"dig-flex_center\">\n                    <img src=\"\" draggable=\"false\"/>\n                </div>\n            </div>\n\n            <div class=\"dig_load_overlay_gs\">\n                <div class=\"dig_load_content\">\n\n                    <div class=\"circle-loader\">\n                        <div class=\"checkmark draw\"></div>\n                    </div>\n\n                </div>\n            </div>\n\n            <div class=\"dig_log_setge\">\n                <div class=\"dig_admin_left_side\">\n                    <div class=\"dig_admin_left_side_content\">\n\n\n                        <div class=\"dig_sts_logo\">\n                            ";
    digit_admin_header_logo();
    echo "  </div>\n\n                            <div class=\"dig-tab-wrapper\">\n\n                                <ul class=\"dig-tab-ul\">\n                                    <li><a href=\"?page=digits_settings&tab=apisettings\"\n                                           class=\"updatetabview dig-nav-tab ";
    echo $active_tab == "apisettings" ? "dig-nav-tab-active" : "";
    echo "\"\n                                           tab=\"apisettingstab\">";
    _e("Gateway", "digits");
    echo "</a></li>\n\n                                    <li><a href=\"?page=digits_settings&tab=configure\"\n                                           class=\"updatetabview dig-nav-tab ";
    echo $active_tab == "configure" ? "dig-nav-tab-active" : "";
    echo "\"\n                                           tab=\"configuretab\">";
    _e("General", "digits");
    echo "</a></li>\n\n                                    <li><a href=\"?page=digits_settings&tab=customfields\"\n                                           class=\"customfieldsNavTab updatetabview dig-nav-tab ";
    echo $active_tab == "customfields" ? "dig-nav-tab-active" : "";
    echo "\"\n                                           tab=\"customfieldstab\">";
    _e("Form", "digits");
    echo "</a></li>\n\n                                    <li><a href=\"?page=digits_settings&tab=customize\"\n                                           class=\"updatetabview dig-nav-tab ";
    echo $active_tab == "customize" ? "dig-nav-tab-active" : "";
    echo "\"\n                                           tab=\"customizetab\" acr=\"1\">";
    _e("Style", "digits");
    echo "</a></li>\n\n                                    <li><a href=\"?page=digits_settings&tab=translations\"\n                                           class=\"updatetabview dig-nav-tab ";
    echo $active_tab == "translations" ? "dig-nav-tab-active" : "";
    echo "\"\n                                           tab=\"translationstab\">";
    _e("Translations", "digits");
    echo "</a></li>\n\n                                    <li><a href=\"?page=digits_settings&tab=shortcodes\"\n                                           class=\"updatetabview dig-nav-tab ";
    echo $active_tab == "shortcodes" ? "dig-nav-tab-active" : "";
    echo "\"\n                                           tab=\"shortcodestab\">";
    _e("Shortcodes", "digits");
    echo "</a></li>                   <div id=\"digits_setting_form_div\" class=\"dig_settings_Form\">\n                                <div data-tab=\"apisettingstab\"\n                                     class=\"dig_admin_in_pt apisettingstab digtabview ";
    echo $active_tab == "apisettings" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digits_api_settings();
    echo "\n                                </div>\n                                <div data-tab=\"configuretab\"\n                                     class=\"dig_admin_in_pt configuretab digtabview ";
    echo $active_tab == "configure" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digits_configure_settings();
    echo "                                </div>\n\n                                <div data-tab=\"customizetab\"\n                                     class=\"dig_admin_in_pt customizetab digtabview ";
    echo $active_tab == "customize" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digit_customize(false);
    echo "\n                                </div>\n\n                                <div data-tab=\"translationstab\"\n                                     class=\"dig_admin_in_pt translationstab digtabview ";
    echo $active_tab == "translations" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digit_shortcodes_translations();
    echo "                                </div>\n                                <div data-tab=\"shortcodestab\"\n                                     class=\"dig_admin_in_pt shortcodestab digtabview ";
    echo $active_tab == "shortcodes" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digit_shortcodes(false);
    echo "\n                                </div>\n                                <div data-tab=\"activatetab\"\n                                     class=\"dig_admin_in_pt activatetab digtabview ";
    echo $active_tab == "activate" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digit_activation(false);
    echo "                                </div>\n\n\n                                <div data-tab=\"customfieldstab\"\n                                     data-attach=\"customfieldsNavTab\"\n                                     class=\"dig_admin_in_pt customfieldstab digtabview ";
    echo $active_tab == "customfields" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digit_customfields();
    echo "                                </div>\n\n\n                                <div data-tab=\"addonstab\"\n                                     class=\"dig_admin_in_pt addonstab digtabview ";
    echo $active_tab == "addons" ? "digcurrentactive" : "\" style=\"display:none;";
    echo "\">\n                                    ";
    digit_addons($active_tab);
    echo "                                </div>\n\n\n                                ";
    do_action("digits_settings_page", $active_tab);
    echo "                                <Button type=\"submit\" class=\"dig_admin_submit\"\n                >";
    _e("Save Changes", "digits");
    echo "</Button>\n                            </div>\n\n                        </div>\n\n                    </div>\n                </div>\n\n\n                <div class=\"dig_admin_side\">\n                    ";
    $plugin_version = digits_version();
    $allowed_tags = ["a" => ["class" => [], "href" => [], "rel" => [], "title" => []], "abbr" => ["title" => []], "b" => [], "blockquote" => ["cite" => []], "cite" => ["title" => []], "code" => [], "del" => ["datetime" => [], "title" => []], "dd" => [], "div" => ["class" => [], "title" => [], "style" => []], "dl" => [], "dt" => [], "em" => [], "h1" => [], "h2" => [], "h3" => [], "h4" => [], "h5" => [], "h6" => [], "i" => [], "img" => ["alt" => [], "class" => [], "height" => [], "src" => [], "width" => []], "li" => ["class" => []], "ol" => ["class" => []], "p" => ["class" => []], "q" => ["cite" => [], "title" => []], "span" => ["class" => [], "title" => [], "style" => []], "strike" => [], "strong" => [], "ul" => ["class" => []]];
    $data = dig_curl("https://www.unitedover.com/images/digits-wpsettings/sidebar.php?version=" . $plugin_version);
    echo $data;
    echo "                </div>\n\n            </div>\n            ";
    if (is_rtl()) {
        echo "<input type=\"hidden\" id=\"is_rtl\" value=\"1\"/>";
    }
    echo "            <style type=\"text/css\">\n                #wpbody-content {\n                    padding-bottom: 10px;\n                }\n\n                #wpfooter {\n                    display: none;\n                }\n            </style>\n        </div><!-- /.wrap -->\n\n    </form>\n\n    ";
    wp_register_script("digits-upload-script", get_digits_asset_uri("/admin/assets/js/upload.min.js"), ["jquery"], digits_version(), true);
    $jsData = ["logo" => get_option("digits_logo_image"), "selectalogo" => __("Select a logo", "digits"), "usethislogo" => __("Use this logo", "digits"), "changeimage" => __("Change Image", "digits"), "selectimage" => __("Select Image", "digits"), "removeimage" => __("Remove Image", "digits")];
    wp_localize_script("digits-upload-script", "dig", $jsData);
    wp_enqueue_script("digits-upload-script");
    wp_enqueue_media();
    dig_config_scripts();
    echo "    ";
}
function digits_add_admin_settings_scripts($hook)
{
    if (is_admin()) {
        if ($hook != -1) {
            if ($hook == "edit.php") {
                if (!isset($_GET["post_type"])) {
                    return NULL;
                }
                if (strpos($_GET["post_type"], "digits") === false) {
                    return NULL;
                }
            } else {
                if ($hook != "plugins.php") {
                    if (!isset($_GET["page"])) {
                        return NULL;
                    }
                    if ($_GET["page"] != "digits_settings") {
                        return NULL;
                    }
                }
            }
        }
        wp_enqueue_style("wp-color-picker");
        wp_enqueue_style("google-roboto-regular", dig_fonts());
        digits_select2();
        wp_enqueue_script("rubaxa-sortable", get_digits_asset_uri("/assets/js/sortable.min.js"), NULL);
        wp_enqueue_script("slick", get_digits_asset_uri("/admin/assets/js/slick.min.js"), NULL);
        wp_register_script("digits-script", get_digits_asset_uri("/admin/assets/js/settings.min.js"), ["jquery", "select2-full", "updates", "wp-color-picker", "rubaxa-sortable", "slick", "digits-login-script"], digits_version(), true);
        $gateway_help = "https://help.unitedover.com/";
        $settings_array = ["plsActMessage" => __("Please activate your plugin to change the look and feel of your Login page and Popup", "digits"), "cannotUseEmailWithoutPass" => __("Oops! You cannot enable email without password for login", "digits"), "bothPassAndOTPCannotBeDisabled" => __("Both Password and OTP cannot be disabled", "digits"), "selectatype" => __("Select a type", "digits"), "Invalidmsg91senderid" => __("Invalid msg91 sender id!", "digits"), "invalidpurchasecode" => __("Invalid Purchase Code", "digits"), "Error" => __("Error! Please try again later", "digits"), "PleasecompleteyourSettings" => __("Please complete your settings", "digits"), "PleasecompleteyourAPISettings" => sprintf(__("Please complete your SMS Gateway settings by clicking here, without those plugin will not work. For documentation, click %s here %s", "digits"), "<a href=\"" . $gateway_help . "\" target=\"_blank\">", "</a>"), "PleasecompleteyourCustomFieldSettings" => __("Please complete your custom field settings", "digits"), "Copiedtoclipboard" => __("Copied to clipboard", "digits"), "ajax_url" => admin_url("admin-ajax.php"), "fieldAlreadyExist" => __("Field Already exist", "digits"), "duplicateValue" => __("Duplicate Value", "digits"), "string_no" => __("No", "digits"), "string_optional" => __("Optional", "digits"), "string_required" => __("Required", "digits"), "validnumber" => __("Please enter a valid mobile number", "digits"), "invalidimportcode" => __("Please enter a valid import code", "digits"), "direction" => is_rtl() ? "rtl" : "ltr"];
        wp_localize_script("digits-script", "digsetobj", $settings_array);
        wp_enqueue_script("digits-script");
        wp_register_script("igorescobar-jquery-mask", "https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js", ["jquery"], NULL, false);
        wp_print_scripts("igorescobar-jquery-mask");
        digits_add_style();
        digits_add_scripts();
    }
}
function dig_config_scripts()
{
    wp_register_script("digits-upload-script", get_digits_asset_uri("/admin/assets/js/upload.min.js"), ["jquery"], digits_version(), true);
    $jsData = ["logo" => get_option("digits_logo_image"), "selectalogo" => __("Select a Image", "digits"), "usethislogo" => __("Use this Image", "digits"), "changeimage" => __("Change Image", "digits"), "selectimage" => __("Select Image", "digits"), "removeimage" => __("Remove Image", "digits")];
    wp_localize_script("digits-upload-script", "dig", $jsData);
    wp_enqueue_script("wp-color-picker-alpha", get_digits_asset_uri("/admin/assets/js/wp-color-picker-alpha.min.js"), ["jquery", "wp-color-picker"], "1.2.2", false);
    wp_enqueue_script("digits-upload-script");
    @do_action("admin_footer");
    do_action("admin_print_footer_scripts");
}
function digits_add_admin_scripts()
{
    digits_add_scripts();
    wp_print_scripts("scrollTo");
    wp_print_scripts("digits-main-script");
    wp_print_scripts("digits-login-script");
    wp_print_styles("google-roboto-regular");
    echo "    <style>\n        .woocommerce-input-wrapper .dig_wc_countrycodecontainer {\n            position: absolute;\n        }\n    </style>\n    ";
}
function dig_add_gs_css()
{
    wp_enqueue_style("google-roboto-regular", dig_fonts());
    digits_select2();
    wp_enqueue_style("digits-gs-style", get_digits_asset_uri("/admin/assets/css/gs.min.css"), ["google-roboto-regular", "select2"], digits_version(), "all");
    if (is_rtl()) {
        wp_enqueue_style("digits-gs-rtl-style", get_digits_asset_uri("/admin/assets/css/gs-rtl.min.css"), ["digits-gs-style"], NULL, "all");
    }
    digits_add_style();
}
function dig_network_home_url($path = "", $scheme = NULL)
{
    if (!is_multisite()) {
        return dig_get_home_url(NULL, $path, $scheme);
    }
    $current_network = get_network();
    $orig_scheme = $scheme;
    if (!in_array($scheme, ["http", "https", "relative"])) {
        $scheme = is_ssl() && !is_admin() ? "https" : "http";
    }
    if ("relative" == $scheme) {
        $url = $current_network->path;
    } else {
        $url = set_url_scheme("http://" . $current_network->domain . $current_network->path, $scheme);
    }
    if ($path && is_string($path)) {
        $url .= ltrim($path, "/");
    }
    return $url;
}
function dig_get_home_url($blog_id = NULL, $path = "", $scheme = NULL)
{
    global $pagenow;
    $orig_scheme = $scheme;
    if (empty($blog_id) || !is_multisite()) {
        $url = get_option("home");
    } else {
        switch_to_blog($blog_id);
        $url = get_option("home");
        restore_current_blog();
    }
    if (!in_array($scheme, ["http", "https", "relative"])) {
        if (is_ssl() && !is_admin() && "wp-login.php" !== $pagenow) {
            $scheme = "https";
        } else {
            $scheme = parse_url($url, PHP_URL_SCHEME);
        }
    }
    $url = set_url_scheme($url, $scheme);
    if ($path && is_string($path)) {
        $url .= "/" . ltrim($path, "/");
    }
    return $url;
}

?>