<?php
/*
 * www.Saba.Network
 */

if (!defined("ABSPATH")) {
    exit;
}
if (!class_exists("Clockwork")) {
    require_once plugin_dir_path(__DIR__) . "gateways/clockwork/wordpress/class-clockwork-plugin.php";
}
if (!class_exists("ComposerAutoloaderInit8435c729a95b842ccceba6a2b2114b43")) {
    require_once plugin_dir_path(__DIR__) . "libphonenumber/autoload.php";
}

require_once plugin_dir_path(__DIR__) . "Twilio/autoload.php";
if (function_exists("digit_send_message")) {
    return NULL;
}
function digit_whatsapp_message($countrycode, $mobile, $otp, $dig_messagetemplate, $testCall)
{
    $option_slug = "digit";
    $messagetemplate = $dig_messagetemplate;
    $whatsapp_gateway = get_option("digit_whatsapp_gateway", -1);
    $prefix = "whatsapp";
    switch ($whatsapp_gateway) {
        case 2:
            $whatsapp = get_option("digit_" . $prefix . "twilio");
            $whatsappno = $whatsapp["whatsappnumber"];
            $sid = $whatsapp["account_sid"];
            $token = $whatsapp["auth_token"];
            try {
                $client = new Twilio\Rest\Client($sid, $token);
                $result = $client->messages->create("whatsapp:" . $countrycode . $mobile, ["From" => "whatsapp:" . $whatsappno, "Body" => $dig_messagetemplate]);
                if ($testCall) {
                    return $result;
                }
                return true;
            } catch (Exception $e) {
                if ($testCall) {
                    return $e->getMessage();
                }
                return false;
            }
            break;
        default:
            return apply_filters("unitedover_send_whatsapp_message", false, $option_slug, $whatsapp_gateway, $countrycode, $mobile, $messagetemplate, $testCall);
    }
}
function digit_send_message($digit_gateway, $countrycode, $mobile, $otp, $dig_messagetemplate, $testCall = false, $whatsapp = false)
{
    define("DIGITS_OTP", $otp);
    $option_slug = "digit";
    $gateway_id = $digit_gateway;
    $messagetemplate = $dig_messagetemplate;
    if (!$testCall) {
        $debug = apply_filters("digits_debug", false);
        if ($debug) {
            return true;
        }
    }
    if (in_array(str_replace("+", "", $countrycode), ["242", "225"]) && substr($mobile, 0, 1) != "0") {
        $mobile = "0" . $mobile;
    }
    if ($whatsapp) {
        return digit_whatsapp_message($countrycode, $mobile, $otp, $dig_messagetemplate, $testCall);
    }
    switch ($digit_gateway) {
        case 2:
            $tiwilioapicred = get_option("digit_twilio_api");
            $twiliosenderid = $tiwilioapicred["twiliosenderid"];
            $sid = $tiwilioapicred["twiliosid"];
            $token = $tiwilioapicred["twiliotoken"];
            try {
                $client = new Twilio\Rest\Client($sid, $token);
                $result = $client->messages->create($countrycode . $mobile, ["From" => $twiliosenderid, "Body" => $dig_messagetemplate]);
                if ($testCall) {
                    return $result;
                }
                return true;
            } catch (Exception $e) {
                if ($testCall) {
                    return $e->getMessage();
                }
                return false;
            }
            break;
        case 332:
            try {
                require_once plugin_dir_path(__DIR__) . "gateways/smsiran/webone_sms/class-webone_sms.php";
                $webonegateway = get_option("digit_webone-sms_com");
                $webone = new digits_webone_ir($webonegateway);
                $param = ["message" => $dig_messagetemplate, "to" => $mobile];
                $result = $webone->send($param);
                if ($result["success"]) {
                    return true;
                }
                return false;
            } 
            catch (Exception $e) {
                return false;
            }

            
            break;
        default:
            return apply_filters("unitedover_send_sms", false, $option_slug, $gateway_id, $countrycode, $mobile, $messagetemplate, $testCall);
    }
}

?>